<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Datei: request.class.php
 *
 * Class to validate all input values
 *
 * @author Norbert Gebert
 * @copyright Norbert Gebert 25.09.2011
 * @license GPL3
 *
 * @version 0.6b
 * @package Admin
 * @subpackage global
 */
abstract class request
{

	public static function get($name, $filter = FILTER_DEFAULT)
	{
		return filter_input(INPUT_GET, $name, $filter);
	}

	public static function getInt($name)
	{
		return self::get($name, FILTER_VALIDATE_INT);
	}

	public static function getFloat($name)
	{
		return self::get($name, FILTER_VALIDATE_FLOAT);
	}

	public static function post($name, $filter = FILTER_DEFAULT)
	{
		return filter_input(INPUT_POST, $name, $filter);
	}

	public static function postInt($name)
	{
		return self::post($name, FILTER_VALIDATE_INT);
	}

	public static function postFloat($name)
	{
		return self::post($name, FILTER_VALIDATE_FLOAT);
	}

}

?>