<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * create html-code for pagination of
 * order browse page
 * used from orders.page.table.php
 *
 * @version    $Id: mail.pagination.func.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
/*
 * @param string html-Code for output
 */

function getPagination($refPage, $number)
{
	$lastPage = ceil($number / ORDER_LIST);

	$refPage->assign('urlPageFirst', 'index2.php?page=mail&sub=orders&func=pagi&nr=1');

	// First Page
	$refPage->assign('txtPageFirst', _('&lt;&lt; First'));

	if ($_SESSION['orderListPage'] == 1)
	{
		$refPage->assign('urlPageFirst', 'index2.php?page=mail&sub=orders&func=pagi&nr=' . 1);
	}
	else
	{
		$refPage->assign('urlPageFirst',
				  'index2.php?page=mail&sub=orders&func=pagi&nr=' . ($_SESSION['orderListPage'] - 1));
	}

	// One page back
	$refPage->assign('txtPagePrev', _('&lt; Back'));

	if ($_SESSION['orderListPage'] <= 1)
	{
		$refPage->assign('urlPagePrev', 
				  'index2.php?page=mail&sub=orders&func=pagi&nr=' . $_SESSION['orderListPage']);
	}
	else
	{
		$refPage->assign('urlPagePrev',
				  'index2.php?page=mail&sub=orders&func=pagi&nr=' . ($_SESSION['orderListPage'] - 1));
	}

	// Next page
	$refPage->assign('txtPageNext', _('Next &gt;'));
	
	if ($_SESSION['orderListPage'] < $lastPage)
	{
		$refPage->assign('urlPageNext', 
				  'index2.php?page=mail&sub=orders&func=pagi&nr=' . ($_SESSION['orderListPage']+1));
	}
	else
	{
		$refPage->assign('urlPageNext', 
				  'index2.php?page=mail&sub=orders&func=pagi&nr=' . $_SESSION['orderListPage']);
	}

	// Last Page
	$refPage->assign('txtPageLast', _('Last &gt;&gt;'));
	$refPage->assign('urlPageLast', 'index2.php?page=mail&sub=orders&func=pagi&nr=' . $lastPage);
	
	// Pagenumbers
	$display = ceil($lastPage / 2);
	$urlPageP = array();
	$urlPageN = array();

	if ($_SESSION['orderListPage'] > 1)
	{
		$start = $_SESSION['orderListPage'] - $display;
		$ende = $_SESSION['orderListPage'] - 1;

		for ($value = $start; $value <= $ende; $value++)
		{
			if ($value <= 0) continue;

			$urlPageP[] = array(
				 'url' => 'index2.php?page=mail&sub=orders&func=pagi&nr=' . $value,
				 'text' => $value);
		}
	}
	$refPage->assign('urlPageP', $urlPageP);
	$refPage->assign('nrPageC', $_SESSION['orderListPage']);

	// Last page PageLast
	if ($_SESSION['orderListPage'] < $lastPage)
	{
		$start = $_SESSION['orderListPage'] + 1;
		$ende = $_SESSION['orderListPage'] + $display;

		for ($value = $start; $value <= $ende; $value++)
		{
			if ($value >= $lastPage + 1) continue;

			$urlPageN[] = array(
				 'url' => 'index2.php?page=mail&sub=orders&func=pagi&nr=' . $value,
				 'text' => $value);
		}
	}

	$refPage->assign('PageN', $urlPageN);
}

?>
