<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Page category->article
 * Overview of articles
 * use article.tpl.php
 *
 * @version    $Id: article.page.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $subpage, $refValidate)
{
	$refPage->assign('messagebox', '');
	$refPage->assign('articleListHelp', help('articleList', $page));
	$refPage->assign('articlePageHelp', help('articlePage', $page, TRUE));

	if (!isset($_SESSION['articleFilter'])) $_SESSION['articleFilter'] = '0';
	$filterId = '';

	if (isset($_GET['func']))
	{
		$idx = 0;
		if (isset($_GET['id']))
		{
			$idx = $refValidate->testNumber($_GET['id'], _('Error in submittet Article-ID-value - Set to 0.'));
		}

		if ($_GET['func'] === 'pagi')
		{
			$number = intval($_GET['nr']);

			$filterId = _setFilter($refValidate);
			$_SESSION['pageA'] = $number;

			$pagefile = 'module/page/article/article.page.table.php';
			if (is_file($pagefile)) include_once $pagefile;
		}
		else if ($_GET['func'] === 'edit')
		{
			// get the editor-page
			$pagefile = 'module/page/article/article.page.editor.php';
			if (is_file($pagefile)) include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Cancel'))
		{
			$filterId = _setFilter($refValidate);
			// get the artcle-table
			$pagefile = 'module/page/article/article.page.table.php';
			if (is_file($pagefile)) include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save'))
		{
			// save data
			$pagefile = 'module/page/article/article.page.save.php';
			if (is_file($pagefile)) include_once $pagefile;
			$filterId = _setFilter($refValidate);
			// get the category-table
			$pagefile = 'module/page/article/article.page.table.php';
			if (is_file($pagefile)) include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Refresh Table'))
		{
			$filterId = _setFilter($refValidate);
			// get the artcle-table
			$pagefile = 'module/page/article/article.page.table.php';
			if (is_file($pagefile)) include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Refresh'))
		{
			// save data
			$pagefile = 'module/page/article/article.page.save.php';
			if (is_file($pagefile)) include_once $pagefile;
			$filterId = _setFilter($refValidate);

			// get the editor-page
			$pagefile = 'module/page/article/article.page.editor.php';
			if (is_file($pagefile)) include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Delete'))
		{
			// open the "Delete"-Window
			if (!empty($_POST['marker']))
			{
				$pagefile = 'module/page/article/article.page.delete.php';
			}
			else
			{
				$pagefile = 'module/page/article/article.page.table.php';
			}
			if (is_file($pagefile)) include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Delete now'))
		{ // Delete articles NOW
			$deleteIds = explode('-', $refValidate->cleanslash($_POST['deleteIds']));
			$filterId = _setFilter($refValidate);
			
			foreach ($deleteIds as $value)
			{
				db::getInstance()->where('product_id', $value);
				$art = db::getInstance()->getOne('product');

				if ($art !== NULL)
				{  // delete Price
               db::getInstance()->where('price_id', $art['product_price_id']);
               db::getInstance()->delete('price');
               // Delete article
					db::getInstance()->where('product_id', $value);

					if (db::getInstance()->delete('product'))
					{
						message::setNoteRow($art['product_id'] . ' ' . $art['product_name'] .
								  ' -> ' . _('Data deleted successfully.'));
					}
					else
					{
						message::setErrorRow($art['product_id'] . ' ' . $art['product_name'] .
								  ' -> ' . _('Faults delete the data.'));
					}

					if (!empty($art['product_small_image']))
					{ // Delete small image...
						db::getInstance()->where('product_small_image', $art['product_small_image']);
						db::getInstance()->where('product_category', $art['product_category']);
						$del = db::getInstance()->getOne('product');

						if (db::getInstance()->count == 0)
						{
							if (unlink('../images/' . ARTICLE_IMAGE_PATH . '/' .
												 $art['product_category'] . '/' . ARTICLE_IMAGE_THUMB_PATH . '/' .
												 $art['product_small_image']))
							{
								// TODO: Delete Dirs if empty ???
								/* rmdir('../images/' . $refConfig->articleImagePath . '/' . $art->product_category . '/' .
								  $refConfig->categoryImageThumbnailPath);
								  if (empty($cat->category_image))
								  rmdir('../images/' . $refConfig->articleImagePath . '/' . $art->product_category);
								 */
								message::setNoteRow($art['product_id'] . ' ' . $art['product_name'] .
										  ' -> ' . _('The old small image file was deleted successfully. '));
							}
						}
					}

					if (!empty($art['product_image']))
					{ // Delete image
						db::getInstance()->where('product_image', $art['product_image']);
						db::getInstance()->where('product_category', $art['product_category']);
						$del = db::getInstance()->getOne('product');

						if (db::getInstance()->count == 0)
						{
							if (unlink('../images/' . ARTICLE_IMAGE_PATH . '/' .
												 $art['product_category'] . '/' . $art['product_image']))
							{
								// TODO: Delete Dirs if empty ???
								/* rmdir('../images/' . $refConfig->categoryImagePath . '/' . $art->product_category); */
								message::setNoteRow($art['product_id'] . ' ' . $art['product_name'] .
										  ' -> ' . _('The old image file was deleted successfully. '));
							}
						}
					}
				}
			}
			$pagefile = 'module/page/article/article.page.table.php';
			if (is_file($pagefile)) include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('New'))
		{
			// create a new article
			$data = Array('product_name' => 'New Article',
				 'product_price_id' => 0);
			db::getInstance()->insert('product', $data);

			db::getInstance()->where('product_name', 'New Article');
			$result = db::getInstance()->getOne('product');
			$idx = $result['product_id'];

			$data = array('product_create' => date("Y-m-d H:i:s"));
			db::getInstance()->where('product_id', $idx);
			db::getInstance()->update('product', $data);

			// call the editor page for the new article
			$pagefile = 'module/page/article/article.page.editor.php';
			if (is_file($pagefile)) include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save order'))
		{  // Save the manual given ordernumbers
			$pagefile = 'module/page/article/article.page.morder.php';
			if (is_file($pagefile)) include_once $pagefile;

			$filterId = _setFilter($refValidate);
			$pagefile = 'module/page/article/article.page.table.php';
			if (is_file($pagefile)) include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Copy'))
		{ // Copy the marked article into the same category
			if (!empty($_POST['marker']))
			{
				// copy one article
				$pagefile = 'module/page/article/article.page.copy.php';
				if (is_file($pagefile)) include_once $pagefile;
			}
			// get the editor-page
			$pagefile = 'module/page/article/article.page.editor.php';
			if (is_file($pagefile)) include_once $pagefile;
		}
	}
	else if (isset($_GET['filterId']))
	{
		$_SESSION['articleFilter'] = $refValidate->cleanslash($_GET['filterId']);
		$filterId = _setFilter($refValidate);
		// get the artcle-table
		$pagefile = 'module/page/article/article.page.table.php';
		if (is_file($pagefile)) include_once $pagefile;
	}
	else if (isset($_GET['active']))
	{
		// activate or deactivate article
		$pagefile = 'module/page/article/article.page.action.php';
		if (is_file($pagefile)) include_once $pagefile;

		$filterId = _setFilter($refValidate);
		$pagefile = 'module/page/article/article.page.table.php';
		if (is_file($pagefile)) include_once $pagefile;
	}
	else if (isset($_GET['order']))
	{  // push up position of selected data record, if not No.1
		$pagefile = 'module/page/article/article.page.order.php';
		if (is_file($pagefile)) include_once $pagefile;

		$filterId = _setFilter($refValidate);
		$pagefile = 'module/page/article/article.page.table.php';
		if (is_file($pagefile)) include_once $pagefile;
	}
	else
	{
		// get the artcle-table
		$filterId = _setFilter($refValidate);
		$pagefile = 'module/page/article/article.page.table.php';
		if (is_file($pagefile)) include_once $pagefile;
	}
}

/*
 * Set articlefilter
 * 
 * @param object $refValidate	reference to validate-class
 * @return mysql-filter
 */

function _setFilter($refValidate)
{
	// Set a filter(-category) to article-view
	if (isset($_POST['categoryListx'])) $id = intval($_POST['categoryListx']);
	else $id = intval($_SESSION['articleFilter']);

	if ($_SESSION['articleFilter'] <> $id)
	{
		$_SESSION['articleFilter'] = $id;
		$_SESSION['pageA'] = 1;
	}

	if ($_SESSION['articleFilter'] == '0') return "";
	else return " WHERE product_category = '" . $_SESSION['articleFilter'] . "'";
}
