<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Display Values of Free shipping and
 * max. Shippingcosts
 * use shippingsettings.tpl.php
 * 
 * @version    $Id: shippingsettings.page.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $subpage, $refValidate)
{
	if (isset($_REQUEST['submit']))
	{
		if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save'))
		{// Update the database
			$valueM = $refValidate->cleanslash(str_replace(',', '.', $_POST['shippingmaxx']));
			$valueF = $refValidate->cleanslash(str_replace(',', '.', $_POST['shippingfreex']));
			$valueT = $refValidate->cleanslash(str_replace(',', '.', $_POST['taxx']));

			if (!empty($valueT))
			{
				$data = Array('config_value' => floatval($valueT));
				db::getInstance()->where('config_key', 'shippingtax');
				if (db::getInstance()->update('config' . SUFFIX, $data))
					message::setNoteRow(_('Shippingtax value successful saved.'), true);
			}
			if (!empty($valueM))
			{
				$data = Array('config_value' => floatval($valueM));
				db::getInstance()->where('config_key', 'shippingmax');
				if (db::getInstance()->update('config' . SUFFIX, $data))
					message::setNoteRow(_('Maximum shipping value successful saved.'), true);
			}
			if (!empty($valueF))
			{
				$data = Array('config_value' => floatval($valueF));
				db::getInstance()->where('config_key', 'shippingfree');

				if (db::getInstance()->update('config' . SUFFIX, $data))
					message::setNoteRow(_('Free shipping value successful saved.'), true);
			}
		}
	}

	db::getInstance()->where('config_key', 'shippingtax');
	$shippingtax = db::getInstance()->getOne('config' . SUFFIX);
	db::getInstance()->where('config_key', 'shippingmax');
	$shippingmax = db::getInstance()->getOne('config' . SUFFIX);
	db::getInstance()->where('config_key', 'shippingfree');
	$shippingfree = db::getInstance()->getOne('config' . SUFFIX);

	$refPage->assign('action', 'index2.php?page=' . $page . '&sub=' . $subpage);

	$refPage->assign('shippingmax', _('Maximum shipping'));
	$refPage->assign('shippingmaxx', str_replace('.', ',', $shippingmax['config_value']));
	$refPage->assign('shippingmaxHelp', help('shippingmax', $page));

	$refPage->assign('shippingfree', _('Free shipping'));
	$refPage->assign('shippingfreex', str_replace('.', ',', $shippingfree['config_value']));
	$refPage->assign('shippingfreeHelp', help('shippingfree', $page));

	// tax
	$tax_ids = db::getInstance()->rawQuery("SELECT tax_id, tax_value, tax_name FROM tax" .
			  " ORDER BY tax_value");
	$taxy = array();
	foreach ($tax_ids as $tax_entry)
	{
		if ($tax_entry['tax_id'] === $shippingtax['config_value'])
		{
			$taxy[] = array('taxValuex' => $tax_entry['tax_id'],
				 'taxNamex' => ($tax_entry['tax_value'] . '% - ' . $tax_entry['tax_name']),
				 'selectx' => 'selected="selected"');
		} else
		{
			$taxy[] = array('taxValuex' => $tax_entry['tax_id'],
				 'taxNamex' => ($tax_entry['tax_value'] . '% - ' . $tax_entry['tax_name']),
				 'selectx' => ' ');
		}
	}
	$refPage->assign('tax', _('Tax') . ': ');
	$refPage->assign('taxx', $taxy);
	
	$refPage->assign('save', '<input type="submit" name="submit" id="save" value="' .
			  _('Save') . '" />');

	$refPage->assign('abort', '<input type="reset" value="' . _('Abort') . '">');

	$refPage->assign('name', _('Shipping settings'));
	$refPage->assign('scripts', '<script type="text/javascript" src="' .
			  'module/ckeditor/ckeditor.js"></script>');
	$refPage->addtpl('content', '/config/shippingsettings.tpl.php');
}