<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * mail -> orderer
 * Overview to all orderer/orders
 *
 * @version    $Id: orders.page.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2016
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $subpage, $refValidate) {
   if (!isset($_SESSION ['unknown']))
      $_SESSION ['unknown'] = TRUE;
   if (!isset($_SESSION ['confirmed']))
      $_SESSION ['confirmed'] = TRUE;
   if (!isset($_SESSION ['ships']))
      $_SESSION ['ships'] = TRUE;
   if (!isset($_SESSION ['paid']))
      $_SESSION ['paid'] = TRUE;
   if (!isset($_SESSION ['reklamtion']))
      $_SESSION ['reklamtion'] = TRUE;
   if (!isset($_SESSION ['canceled']))
      $_SESSION ['canceled'] = TRUE;
   if (!isset($_SESSION ['others']))
      $_SESSION ['others'] = TRUE;
   if (!isset($_SESSION ['fromDate']))
      $_SESSION ['fromDate'] = '';
   if (!isset($_SESSION ['toDate']))
      $_SESSION ['toDate'] = '';

   if (isset($_GET['func']))
   {
      if ($refValidate->cleanslash($_GET['func']) === 'list')
      {
         if (isset($_REQUEST['submit']))
         { // Orderdetail...
            if ($refValidate->cleanslash($_REQUEST['submit']) === _('Back'))
            { // One page back
               $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.list.php';
               $idx = $refValidate->cleanslash($_POST['idx']);

               if (is_file($pagefile))
                  include_once $pagefile;
            }
         }
         else
         { // display order adress details
            $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.list.php';
            $idx = $refValidate->cleanslash($_GET['id']);
            if (is_file($pagefile))
               include_once $pagefile;
         }
      }
      elseif ($refValidate->cleanslash($_GET['func']) === 'detail')
      {
         if ($refValidate->cleanslash($_REQUEST['submit']) === _('Cancel'))
         { // Cancel
            $rows = db::getInstance()->getOne('orderer' . SUFFIX, 'count(*) as cnt');
            $entrys = $rows['cnt'] - 1;

            if (!isset($_SESSION['orderListPage']))
               $_SESSION['orderListPage'] = 1;

            $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';

            if (is_file($pagefile))
               include_once $pagefile;
         }
         elseif ($refValidate->cleanslash($_REQUEST['submit']) === _('Save'))
         { // Save entrys
            $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.save.php';
            if (is_file($pagefile))
               include_once $pagefile;

            $rows = db::getInstance()->getOne('orderer' . SUFFIX, 'count(*) as cnt');
            $entrys = $rows['cnt'] - 1;

            if (!isset($_SESSION['orderListPage']))
               $_SESSION['orderListPage'] = 1;

            $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';

            if (is_file($pagefile))
               include_once $pagefile;
         }
         elseif ($refValidate->cleanslash($_REQUEST['submit']) === _('Refresh'))
         { // Save entrys and list adress details
            $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.save.php';
            if (is_file($pagefile))
               include_once $pagefile;

            $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.list.php';
            $idx = $refValidate->cleanslash($_POST['idx']);

            if (is_file($pagefile))
               include_once $pagefile;
         }
         elseif ($refValidate->cleanslash($_REQUEST['submit']) === _('Show Detail'))
         { // Display details of an order
            $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.detail.php';
            if (is_file($pagefile))
               include_once $pagefile;
         }
         elseif ($refValidate->cleanslash($_REQUEST['submit']) === _('Create PDF'))
         { // One page back
            $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.pdf.php';
            $idx = $refValidate->cleanslash($_POST['idx']);

            if (is_file($pagefile))
               include_once $pagefile;
         }
      }
      elseif ($refValidate->cleanslash($_GET['func']) === 'pagi')
      { // Display table, page number XX
         if ($_SESSION ['unknown'] == TRUE)
            db::getInstance()->where('orderer_order_status', 0);

         if ($_SESSION ['confirmed'] == TRUE)
            db::getInstance()->where('orderer_order_status', 1);

         if ($_SESSION ['ships'] == TRUE)
            db::getInstance()->where('orderer_order_status', 2);

         if ($_SESSION ['paid'] == TRUE)
            db::getInstance()->where('orderer_order_status', 3);

         if ($_SESSION ['reklamtion'] == TRUE)
            db::getInstance()->where('orderer_order_status', 4);

         if ($_SESSION ['canceled'] == TRUE)
            db::getInstance()->where('orderer_order_status', 5);

         if ($_SESSION ['others'] == TRUE)
            db::getInstance()->where('orderer_order_status', 6);

         if (!empty($_SESSION ['fromDate']) and ! empty($_SESSION ['toDate']))
         {
            db::getInstance()->where('orderer_order_date', array(date('Y-m-d', strtotime($_SESSION ['fromDate'])),
                date('Y-m-d', strtotime($_SESSION ['toDate']))), 'BETWEEN');
         }

         $rows = db::getInstance()->getOne('orderer' . SUFFIX, 'sum(orderer_id), count(*) as cnt');
         $maxPage = ceil(($rows['cnt'] - 1) / ORDER_LIST);
         $entrys = $rows['cnt'] - 1;

         if (!isset($_SESSION['orderListPage']))
            $_SESSION['orderListPage'] = 1;

         $akPage = $refValidate->cleanslash($_GET['nr']);

         if ($akPage >= 1 and $akPage <= $maxPage)
            $_SESSION['orderListPage'] = $akPage;
         else
            $_SESSION['orderListPage'] = 1;

         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
   }
   elseif (isset($_REQUEST['submit']))
   { // Setting filter values
      if ($refValidate->cleanslash(isset($_POST['unknown'])))
         $_SESSION ['unknown'] = TRUE;
      else
         $_SESSION ['unknown'] = FALSE;

      if ($refValidate->cleanslash(isset($_POST['confirmed'])))
         $_SESSION ['confirmed'] = TRUE;
      else
         $_SESSION ['confirmed'] = FALSE;

      if ($refValidate->cleanslash(isset($_POST['ships'])))
         $_SESSION ['ships'] = TRUE;
      else
         $_SESSION ['ships'] = FALSE;

      if ($refValidate->cleanslash(isset($_POST['paid'])))
         $_SESSION ['paid'] = TRUE;
      else
         $_SESSION ['paid'] = FALSE;

      if ($refValidate->cleanslash(isset($_POST['reklamtion'])))
         $_SESSION ['reklamtion'] = TRUE;
      else
         $_SESSION ['reklamtion'] = FALSE;

      if ($refValidate->cleanslash(isset($_POST['canceled'])))
         $_SESSION ['canceled'] = TRUE;
      else
         $_SESSION ['canceled'] = FALSE;

      if ($refValidate->cleanslash(isset($_POST['others'])))
         $_SESSION ['others'] = TRUE;
      else
         $_SESSION ['others'] = FALSE;

      if (!empty($_POST['fromDate']))
         $_SESSION ['fromDate'] = $_POST['fromDate'];
      else
         $_SESSION ['fromDate'] = '';

      if (!empty($_POST['toDate']))
         $_SESSION ['toDate'] = $_POST['toDate'];
      else
         $_SESSION ['toDate'] = '';

      if ($refValidate->cleanslash($_REQUEST['submit']) === _('Refresh view'))
      { // Activate selectet filter(s)
         $filter = array();
         if ($_SESSION ['unknown'] == TRUE)
            $filter[] = 0;

         if ($_SESSION ['confirmed'] == TRUE)
            $filter[] = 1;

         if ($_SESSION ['ships'] == TRUE)
            $filter[] = 2;

         if ($_SESSION ['paid'] == TRUE)
            $filter[] = 3;

         if ($_SESSION ['reklamtion'] == TRUE)
            $filter[] = 4;

         if ($_SESSION ['canceled'] == TRUE)
            $filter[] = 5;

         if ($_SESSION ['others'] == TRUE)
            $filter[] = 6;

         db::getInstance()->where('orderer_order_status', $filter, 'IN');

         if (!empty($_SESSION ['fromDate']) and ! empty($_SESSION ['toDate']))
         {
            db::getInstance()->where('orderer_order_date', array(date('Y-m-d', strtotime($_SESSION ['fromDate'])),
                date('Y-m-d', strtotime($_SESSION ['toDate']))), 'BETWEEN');
         }

         $rows = db::getInstance()->getOne('orderer' . SUFFIX, 'count(*)');
         $entrys = $rows['count(*)'] - 1;

         if (!isset($_SESSION['orderListPage']))
            $_SESSION['orderListPage'] = 1;

         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';

         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Print shown list'))
      { // Print list of given day(s)
         $pagefile = 'module/page/' . $page . '/' . 'orders.list.pdf.php';
         if (is_file($pagefile))
            include_once $pagefile;
         echo '##############################';exit;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('List all'))
      { // Reset filter, shown all
         $_SESSION ['unknown'] = TRUE;
         $_SESSION ['confirmed'] = TRUE;
         $_SESSION ['ships'] = TRUE;
         $_SESSION ['paid'] = TRUE;
         $_SESSION ['reklamtion'] = TRUE;
         $_SESSION ['canceled'] = TRUE;
         $_SESSION ['others'] = TRUE;
         $_SESSION ['fromDate'] = '';
         $_SESSION ['toDate'] = '';
         $rows = db::getInstance()->getOne('orderer' . SUFFIX, 'count(*) as cnt');
         $entrys = $rows['cnt'] - 1;

         if (!isset($_SESSION['orderListPage']))
            $_SESSION['orderListPage'] = 1;

         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';

         if (is_file($pagefile))
            include_once $pagefile;
      }
   }
   else
   {
      $rows = db::getInstance()->getOne('orderer' . SUFFIX, 'count(*) as cnt');
      $entrys = $rows['cnt'] - 1;

      if (!isset($_SESSION['orderListPage']))
         $_SESSION['orderListPage'] = 1;

      $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';

      if (is_file($pagefile))
         include_once $pagefile;
   }
}
