<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Edit positions and dimensions from images
 * of the pdf-invoice
 * use invoice/images.tpl.php
 *
 * @version    $Id: invoice.images.page.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2017
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $subpage, $refValidate)
{
	if (isset($_REQUEST['submit']))
	{
		if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save'))
		{ // Update the database
			$pagefile = 'module/page/page/invoice.images.page.save.php'; 
			if (is_file($pagefile)) include_once $pagefile;
		}
	}

	db::getInstance()->where('config_key', 'invoiceImages');
	$result = db::getInstance()->getOne('config' . SUFFIX);
	$configRows = array();
	$row = array();
	$data = array();
	$count = 0;

	$refPage->assign('title', _('Invoice, images position and dimension'));
	$refPage->assign('action', 'index2.php?page=' . $page . '&sub=' . $subpage);

	//Create config data
	$configRows = explode('|', $result['config_text']);
	foreach ($configRows as $row)
	{
		$field = explode(':', $row);

		if ($field[1] == '1') $checked = 'checked';
		else $checked = '';

		$data[] = array('name' => _('Filename') . ': ',
			 'namex' => '<input type="text" name="namex' . $count . '" size="50"' .
			 'value="' . $field[0] . '" />',
			 'invoicenamexHelp' => help('invoiceName', $page),
			 'active' => _('Display') . ': ',
			 'activex' => '<input type="checkbox" name="activex' . $count . '" ' .
			 ' value="' . $field[1] . '" ' . $checked . '/>',
			 'invoiceactivexHelp' => help('invoiceActive', $page),
			 'left' => _('Left margin') . ': ',
			 'leftx' => '<input type="text" name="leftx' . $count . '" size="5"' .
			 'value="' . $field[2] . '" />',
			 'invoiceleftxHelp' => help('invoiceLeft', $page),
			 'top' => _('Top margin') . ': ',
			 'topx' => '<input type="text" name="topx' . $count . '" size="5"' .
			 'value="' . $field[3] . '" />',
			 'invoicetopxHelp' => help('invoiceTop', $page),
			 'width' => _('Width') . ': ',
			 'widthx' => '<input type="text" name="widthx' . $count . '" size="5"' .
			 'value="' . $field[4] . '" />',
			 'invoicewidthxHelp' => help('invoiceWidth', $page),
			 'height' => _('Height') . ': ',
			 'heightx' => '<input type="text" name="heightx' . $count . '" size="5"' .
			 'value="' . $field[5] . '" />',
			 'invoiceheightxHelp' => help('invoiceHeight', $page));
		$count ++;
	}
	$refPage->assign('data', $data);
	$refPage->assign('btnSave',
			  '<input type="submit" name="submit" id="save" value="' . _('Save') . '" />');
	$refPage->assign('btnAbort',
			  '<input type="reset" value="' . _('Abort') . '">' .
			  '<input type="hidden" name="count" value="' . $count . '">');

	$refPage->addtpl('content', '/page/invoice/images.tpl.php');
}
