<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create pages editor page
 * get: pages.editor.tpl.php
 * used from pages.page.php
 *
 * @version    $Id: pages.page.editor.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */
db::getInstance()->where("pages_id", $idx);
$result = db::getInstance()->getOne("pages");

if ($result === NULL)
{
	message::setErrorRow(_('No data could be found! - Contact Admin!'), true);
}
else
{
	$functions = 'module/function/pages.func.php';
	if (is_file($functions)) include_once $functions;

	$refPage->assign('formStart', 'index2.php?page=page&sub=pages&func=save#' . $idx);
	$refPage->assign('pageTitle', _('Page-Editor'));

	//-Tab-Menu------------------
	$refPage->assign('tab1', _('Description'));
	$refPage->assign('tab2', _('Options'));
	$refPage->assign('tab3', _('Images'));
	$refPage->assign('tab4', _('Display'));
	$refPage->assign('tab5', _('Meta-Tags'));
	$refPage->assign('tab6', _('Data'));

	//-1-------------------------
	$refPage->assign('id', _('Page-ID') . ': ');
	$refPage->assign('idx',
			  '<input type="text" name="idxx" id="idxx" disabled="disabled" ' .
			  'size="8" value="' . $result['pages_id'] . '" />');

	$refPage->assign('name', _('Pagename') . ': ');
	$refPage->assign('namex',
			  '<input type="text" name="namex" id="namex" size="55" ' .
			  'value="' . $result['pages_name'] . '" />');
	$refPage->assign('pagesNameHelp', help('pagesName', $page));

	// read and set categorynames
	$pagecategoryy = '<select style="width:350px;" size="1" name="pagecategoryx" id="pagecategoryx">';
	$pagecategorys = db::getInstance()->rawQuery("SELECT pagecategory_id, pagecategory_name, " .
			  "pagecategory_active, pagecategory_order, pagecategory_top FROM pagecategory" .
			  " WHERE pagecategory_top = '0' ORDER BY pagecategory_order");
	$pagecategorys = sortPagesCategorys($pagecategorys);

	if ($result['pages_category'] === '0')
			$pagecategoryy .= '<option value="0" selected="selected">' .
				  _('Top-pagecategory') . '</option>';
	else $pagecategoryy .= '<option value="0" >' . _('Top-pagecategory') . '</option>';

	foreach ($pagecategorys as $cat)
	{
		$lr = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';

		if (strpos($cat['pagecategory_name'], '2|') !== FALSE)
				$cat['pagecategory_name'] = $lr . str_replace('2|', '', $cat['pagecategory_name']);
		elseif (strpos($cat['pagecategory_name'], '3|') !== FALSE)
				$cat['pagecategory_name'] = $lr . $lr . str_replace('3|', '', $cat['pagecategory_name']);
		elseif (strpos($cat['pagecategory_name'], '4|') !== FALSE)
				$cat['pagecategory_name'] = $lr . $lr . $lr . str_replace('4|', '', $cat['pagecategory_name']);
		elseif (strpos($cat['pagecategory_name'], '5|') !== FALSE)
				$cat['pagecategory_name'] = $lr . $lr . $lr . $lr . str_replace('5|', '', $cat['pagecategory_name']);
		else $cat['pagecategory_name'] = $cat['pagecategory_name'];

		if ($cat['pagecategory_id'] === $result['pages_category'])
				$pagecategoryy .= '<option value="' . $cat['pagecategory_id'] . '" selected="selected">' .
					  $cat['pagecategory_name'] . '</option>';
		else
				$pagecategoryy .= '<option value="' . $cat['pagecategory_id'] . '" >' .
					  $cat['pagecategory_name'] . '</option>';
	}

	$pagecategoryy .= '</select>';
	$refPage->assign('pagecategory', _('Category') . ': ');
	$refPage->assign('pagecategoryx', $pagecategoryy);
	$refPage->assign('pageCategoryHelp', help('pagesCategory', $page));

	// set active-status for all shops
	$refPage->assign('active', strip_tags(_('Activ') . ': '));
	$refPage->assign('active_0', strip_tags(SHORTNAME));
	$activey = '<input type="checkbox" name="activex" id="activex" value="activex" ';

	if ($result['pages_active'] === '0') $activey .= '/>';
	else $activey .= 'checked />';

	$refPage->assign('activex_0', $activey);
	$refPage->assign('pagesActiveHelp', help('pagesActive', $page));

	if (URL_1 <> '')
	{
		$refPage->assign('active_1', strip_tags(SHORTNAME_1));
		$activey = '<input type="checkbox" name="activex_1" id="activex_1" value="activex_1" ';

		if ($result['pages_active_1'] === '0') $activey .= '/>';
		else $activey .= 'checked />';

		$refPage->assign('activex_1', $activey);
	}

	if (URL_2 <> '')
	{
		$refPage->assign('active_2', strip_tags(SHORTNAME_2));
		$activey = '<input type="checkbox" name="activex_2" id="activex_2" value="activex_2" ';

		if ($result['pages_active_2'] === '0') $activey .= '/>';
		else $activey .= 'checked />';

		$refPage->assign('activex_2', $activey);
	}

	if (URL_3 <> '')
	{
		$refPage->assign('active_3', strip_tags(SHORTNAME_3));
		$activey = '<input type="checkbox" name="activex_3" id="activex_3" value="activex_3" ';

		if ($result['pages_active_3'] === '0') $activey .= '/>';
		else $activey .= 'checked />';

		$refPage->assign('activex_3', $activey);
	}

	if (URL_4 <> '')
	{
		$refPage->assign('active_4', strip_tags(SHORTNAME_4));
		$activey = '<input type="checkbox" name="activex_4" id="activex_4" value="activex_4" ';

		if ($result['pages_active_4'] === '0') $activey .= '/>';
		else $activey .= 'checked />';

		$refPage->assign('activex_4', $activey);
	}
	if (URL_5 <> '')
	{
		$refPage->assign('active_5', strip_tags(SHORTNAME_5));
		$activey = '<input type="checkbox" name="activex_5" id="activex_5" value="activex_5" ';

		if ($result['pages_active_5'] === '0') $activey .= '/>';
		else $activey .= 'checked />';

		$refPage->assign('activex_5', $activey);
	}

	// read and set pagesdetail-browsepages  selected="selected"
	$browsepages = array();
	foreach (getBrowsepages('pages') as $file)
	{
		if ($file === $result['pages_browsepage'])
		{
			$browsepages[] = array('browsepage_nrx' => $file,
				 'browsepage_textx' => $file,
				 'checkedx' => 'selected="selected"');
		}
		else
		{
			$browsepages[] = array('browsepage_nrx' => $file,
				 'browsepage_textx' => $file,
				 'checkedx' => '');
		}
	}
	$refPage->assign('browsepages', $browsepages);
	$refPage->assign('browsepage', _('Browsepage') . ': ');
	$refPage->assign('pagesBrowsepageHelp', help('pagesBrowsepage', $page));

	$refPage->assign('text', _('Text'));
	$refPage->assign('textx',
			  '<textarea style="visibility: hidden; display: none;" class="ckeditor"' .
			  'name="textx" id="textx" rows="25" ' .
			  'cols="56">' . $result['pages_text'] . '</textarea>');
	$refPage->assign('pagesTextHelp', help('pagesText', $page, TRUE));
	$refPage->assign('textHelp', help('pagePagesText', $page, TRUE));

	//-2-Options-----------------
			 

	//-3-Images-----------------
	$refPage->assign('image', _('Big image') . ': ');
	$refPage->assign('imagex',
			  '<input type="file" size="55" name="imagefile"' .
			  'id="imagefile" />');
	$file = '../images/' . PAGES_IMAGE_PATH . '/' . $result ['pages_category'] . '/' .
			  $result ['pages_image'];
	$refPage->assign('pagesImageHelp', help('pagesImage', $page));
	if (is_file($file))
	{
      $refPage->assign('imageName', $result['pages_image']);
      $image = getimagesize($file);
      $refPage->assign('imageNote', _('Width') . ': ' . $image[0] . 'px, ' .
              _('Height') . ': ' . $image[1] . 'px = ' . 
              filesize($file) . 'Byte  (' . _('Max.:') . 
              ini_get('upload_max_filesize') . ')');
      
		$refPage->assign('imagey',
				  '<img style="border:1px solid black;" src="' . '../images/' . PAGES_IMAGE_PATH . '/' .
				  $result ['pages_category'] . '/' . $result ['pages_image'] . '">');
	}
	else
	{
      $refPage->assign('imageName', ' ');
      $refPage->assign('imageNote', _(' '));
		$refPage->assign('imagey', _('<h2>No picture available!</h2>'));
	}

	$refPage->assign('imageAlt', _('Alt-Attribute') . ': ');
	$refPage->assign('imageAltx', $result['pages_image_alt']);
	$refPage->assign('imageAltxHelp', help('alternate', $page));
	$refPage->assign('imageTitle', _('Title-Attribute') . ': ');
	$refPage->assign('imageTitlex', $result['pages_image_title']);
	$refPage->assign('imageTitlexHelp', help('title', $page));

	//-4-Display----------------
	//-5-Meta...----------------
	$refPage->assign('title', _('Sitetitle') . ': ');
	$refPage->assign('titlex',
			  '<input type="text"size = 110 name="titlex" ' .
			  'id="titlex" onmouseover="titleN(this.value)" ' .
			  'onkeyup="titleN(this.value) "value="' .
			  $result ['pages_title'] . '" />');
	$refPage->assign('titleHelp', help('pagesTitle', $page));

	$refPage->assign('metadescription', _('Metadescription') . ': ');
	$refPage->assign('metadescriptionx',
			  '<input type="text"size = 110 name="metadescriptionx" ' .
			  'id="metadescriptionx" onmouseover="descriptionN(this.value)" ' .
			  'onkeyup="descriptionN(this.value) "value="' .
			  $result ['pages_metadescription'] . '" />');
	$refPage->assign('pagesMetadescriptionHelp', help('pagesMetadescription', $page));

	$refPage->assign('metakey', _('Metakeys') . ': ');
	$refPage->assign('metakeyx',
			  '<input type="text"size = 55 name="metakeyx" ' .
			  'id="metakeyx" onmouseover="keywordN(this.value)" ' .
			  'onkeyup="keywordN(this.value)" value="' .
			  $result ['pages_metakey'] . '" />');
	$refPage->assign('pagesMetakeyHelp', help(
						 'pagesMetakey', $page));

	//-6-Data-------------------
   $refPage->assign('create', _('Created') . ': ');
	$refPage->assign('createx',
			  '<input type="text" name="createx" id="createx" ' .
			  'disabled="disabled" value="' .
			  date('H:i:s - d.m.Y', strtotime($result['pages_create'])) . '" />');

	$refPage->assign('lastChange', _('Last change') . ': ');
	$refPage->assign('lastChangex',
			  '<input type="text" name="lastchangex" id="lastchangex" ' .
			  'disabled="disabled" value="' .
			  date('H:i:s - d.m.Y', strtotime($result['pages_last_change'])) . '" />');

	//-Buttons------------------
	$refPage->assign('btnSave',
			  '<input type="hidden" id="idx" name="idx" value="' . $idx . '">' .
			  '<input type="hidden" id="oldCategory" name="oldCategory" value="' .
			  $result ['pages_category'] . '">' .
			  '<input type="hidden" name="oldImagex" value="' .
			  $result ['pages_image'] . '">' .
			  '<input type="hidden" id="orderx" name="orderx" value="' .
			  $result ['pages_order'] . '">' .
			  '<input type="submit" name="submit" id="save" value="' .
			  _('Save') . '" />');

	$refPage->assign('btnRefresh',
			  '<input type="submit" name="submit" id="refresh" value="' .
			  _('Refresh') . '" />');

	$refPage->assign('btnAbort',
			  '<input type="submit" name="submit" id="abort" value="' .
			  _('Cancel') . '" />');

	$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.editor.tpl.php');
	$refPage->assign('messagebox', '');

	// Keyword- and descriptioncounter
	$refPage->assign('descriptionNumber', '<span id="descriptionNumber">0</span>');
	$refPage->assign('titleNumber', '<span id="titleNumber">0</span>');
	$refPage->assign('keywordNumber', '<span id="keywordNumber">0</span>');

	$metascript = '<script type="text/javascript">
		function titleN(text) 
		{
			var html = text.length;
			html = html + "   ' . _('Character') . ' (70)";
			document.getElementById(\'titleNumber\').textContent = html;
		}
		function descriptionN(text) 
		{
			var html = text.length;
			html = html + "   ' . _('Character') . ' (' . METADESCRIPTION_LENGH . ')";
			document.getElementById(\'descriptionNumber\').textContent = html;
		}
		function keywordN(text) 
		{
			var html = text.split(\',\').length;
			html = html + "   ' . _('Words') . ' (' . METAKEYWORD_NUMBER . ')";
			document.getElementById(\'keywordNumber\').textContent = html;
		}
	</script>';
	$refPage->assign('scripts',
			  '<script type="text/javascript" src="' .
			  'module/ckeditor/ckeditor.js"></script>' . $metascript);
}
