<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Page category->pages
 * Overview of pages
 * use pages.tpl.php
 *
 * @version    $Id: pages.page.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $subpage, $refValidate) {
   $refPage->assign('messagebox', '');
   $refPage->assign('pagesListHelp', help('pagesList', $page));
   $refPage->assign('pagesPageHelp', help('pagesPage', $page, TRUE));

   if (!isset($_SESSION['pagesFilter']))
      $_SESSION['pagesFilter'] = '0';
   $filterId = '';

   if (isset($_GET['func']))
   {
      $idx = 0;
      if (isset($_GET['id']))
      {
         $idx = $refValidate->testNumber($_GET['id'], _('Error in submittet Article-ID-value - Set to 0.'));
      }

      if ($_GET['func'] === 'pagi')
      {
         $number = intval($_GET['nr']);

         $filterId = _setFilter($refValidate);
         $_SESSION['pageA'] = $number;

         $pagefile = 'module/page/page/pages.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($_GET['func'] === 'edit')
      {
         // get the editor-page
         $pagefile = 'module/page/page/pages.page.editor.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Cancel'))
      {
         $filterId = _setFilter($refValidate);
         // get the artcle-table
         $pagefile = 'module/page/page/pages.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save'))
      {
         // save data
         $pagefile = 'module/page/page/pages.page.save.php';
         if (is_file($pagefile))
            include_once $pagefile;
         $filterId = _setFilter($refValidate);
         // get the category-table
         $pagefile = 'module/page/page/pages.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Refresh Table'))
      {
         $filterId = _setFilter($refValidate);
         // get the artcle-table
         $pagefile = 'module/page/page/pages.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Refresh'))
      {
         // save data
         $pagefile = 'module/page/page/pages.page.save.php';
         if (is_file($pagefile))
            include_once $pagefile;
         $filterId = _setFilter($refValidate);

         // get the editor-page
         $pagefile = 'module/page/page/pages.page.editor.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Delete'))
      {
         // open the "Delete"-Window
         if (!empty($_POST['marker']))
         {
            $pagefile = 'module/page/page/pages.page.delete.php';
         } else
         {
            $pagefile = 'module/page/page/pages.page.table.php';
         }
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Delete now'))
      { // delete pages 
         $deleteIds = explode('-', $refValidate->cleanslash($_POST['deleteIds']));
         $filterId = _setFilter($refValidate);

         foreach ($deleteIds as $value) {
         
            db::getInstance()->where('pages_id', $value);
            $art = db::getInstance()->getOne('pages');

            if ($art !== NULL)
            {

               db::getInstance()->where('pages_id', $value);

               if (db::getInstance()->delete('pages'))
               {
                  message::setNoteRow($art['pages_id'] . ' ' . $art['pages_name'] .
                          ' -> ' . _('Data deleted successfully.'));
               } else
               {
                  message::setErrorRow($art['pages_id'] . ' ' . $art['pages_name'] .
                          ' -> ' . _('Faults delete the data.'));
               }

               if (!empty($art['pages_image']))
               { // Delete image
                  db::getInstance()->where('pages_image', $art['pages_image']);
                  db::getInstance()->where('pages_category', $art['pages_category']);
                  $del = db::getInstance()->getOne('pages');

                  if (db::getInstance()->count == 0)
                  {
                     if (unlink('../images/' . PAGES_IMAGE_PATH . '/' .
                                     $art['pages_category'] . '/' . $art['pages_image']))
                     {
                        // TODO: Delete Dirs if empty ???
                        /* rmdir('../images/' . $refConfig->categoryImagePath . '/' . $art->product_category); */
                        message::setNoteRow($art['product_id'] . ' ' . $art['pages_name'] .
                                ' -> ' . _('The old image file was deleted successfully. '));
                     }
                  }
               }
            }
         }
         $pagefile = 'module/page/page/pages.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('New'))
      {
         // create a new page
         $data = Array('pages_name' => 'New Article');
         db::getInstance()->insert('pages', $data);

         db::getInstance()->where('pages_name', 'New Article');
         $result = db::getInstance()->getOne('pages');
         $idx = $result['pages_id'];

         $data = array('pages_create' => date("Y-m-d H:i:s"));
         db::getInstance()->where('pages_id', $idx);
         db::getInstance()->update('pages', $data);

         // call the editor page for the new page
         $pagefile = 'module/page/page/pages.page.editor.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save order'))
      {  // Save the manual given ordernumbers
         $pagefile = 'module/page/page/pages.page.morder.php';
         if (is_file($pagefile))
            include_once $pagefile;

         $filterId = _setFilter($refValidate);
         $pagefile = 'module/page/page/pages.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Copy'))
      { // Copy the marked article into the same category
         if (!empty($_POST['marker']))
         {
            // copy one article
            $pagefile = 'module/page/page/pages.page.copy.php';
            if (is_file($pagefile))
               include_once $pagefile;
         }
         // get the editor-page
         $pagefile = 'module/page/page/pages.page.editor.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
   }
   else if (isset($_GET['filterId']))
   {
      $_SESSION['pagesFilter'] = $refValidate->cleanslash($_GET['filterId']);
      $filterId = _setFilter($refValidate);
      // get the artcle-table
      $pagefile = 'module/page/page/pages.page.table.php';
      if (is_file($pagefile))
         include_once $pagefile;
   }
   else if (isset($_GET['active']))
   {
      // activate or deactivate article
      $pagefile = 'module/page/page/pages.page.action.php';
      if (is_file($pagefile))
         include_once $pagefile;

      $filterId = _setFilter($refValidate);
      $pagefile = 'module/page/page/pages.page.table.php';
      if (is_file($pagefile))
         include_once $pagefile;
   }
   else if (isset($_GET['order']))
   {  // push up position of selected data record, if not No.1
      $pagefile = 'module/page/page/pages.page.order.php';
      if (is_file($pagefile))
         include_once $pagefile;

      $filterId = _setFilter($refValidate);
      $pagefile = 'module/page/page/pages.page.table.php';
      if (is_file($pagefile))
         include_once $pagefile;
   }
   else
   {
      // get the artcle-table
      $filterId = _setFilter($refValidate);
      $pagefile = 'module/page/page/pages.page.table.php';
      if (is_file($pagefile))
         include_once $pagefile;
   }
}

/*
 * Set pagesfilter
 * 
 * @param object $refValidate	reference to validate-class
 * @return mysql-filter
 */

function _setFilter($refValidate) {
   // Set a filter(-pagescategory) to article-view
   if (isset($_POST['pagesListx']))
      $id = intval($_POST['pagesListx']);
   else
      $id = intval($_SESSION['pagesFilter']);

   if ($_SESSION['pagesFilter'] <> $id)
   {
      $_SESSION['pagesFilter'] = $id;
      $_SESSION['pageA'] = 1;
   }

   if ($_SESSION['pagesFilter'] == '0')
      return "";
   else
      return " WHERE pages_category = '" . $_SESSION['pagesFilter'] . "'";
}
