<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Shows (all) pages, sortet by order / category 
 * get: pages.tpl.php
 * used from pages.page.php
 *
 * @version    $Id: pages.page.table.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */
$file = 'module/function/pages.pagination.func.php';
if (is_file($file)) include $file;
$functions = 'module/function/pages.func.php';
if (is_file($functions)) include_once $functions;

$result = db::getInstance()->rawQuery("SELECT pagecategory_id, pagecategory_name, pagecategory_active, " .
		  "pagecategory_order, pagecategory_top FROM pagecategory " .
		  "WHERE pagecategory_top = '0' " .
		  "ORDER BY pagecategory_order");

// Database error
if ($result === NULL)
{
	message::setErrorRow(_('No data could be found! - Contact Admin!'), true);
}
else
{
	$refPage->assign('pageTitel', _('Pages table'));
	$refPage->assign('formStart', 'index2.php?page=page&sub=pages&func=delete');

	/**
	 *  create list of pagecategorys to filter article
	 */
	$pagecategoryList = array();


	db::getInstance()->orderBy('pagecategory_top', 'asc');
	//db::getInstance()->orderBy('category_order', 'asc');
	$cols = Array('pagecategory_id', 'pagecategory_name', 'pagecategory_active');
	$categorys = db::getInstance()->get('pagecategory', null, $cols);
	$categorys = sortPagesCategorys($result, true);

	$pagecategoryList[] = array('pagecategoryIdx' => 0,
		 'pagecategoryNamex' => _('Display all'),
		 'pagecategoryCheckedx' => '');

	foreach ($categorys as $cat)
	{
		$lr = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';

		if (strpos($cat['pagecategory_name'], '2|') !== FALSE)
				$cat['pagecategory_name'] = $lr . str_replace('2|', '', $cat['pagecategory_name']);
		elseif (strpos($cat['pagecategory_name'], '3|') !== FALSE)
				$cat['pagecategory_name'] = $lr . $lr . str_replace('3|', '', $cat['pagecategory_name']);
		elseif (strpos($cat['pagecategory_name'], '4|') !== FALSE)
				$cat['pagecategory_name'] = $lr . $lr . $lr . str_replace('4|', '', $cat['pagecategory_name']);
		elseif (strpos($cat['pagecategory_name'], '5|') !== FALSE)
				$cat['pagecategory_name'] = $lr . $lr . $lr . $lr . str_replace('5|', '', $cat['pagecategory_name']);
		else $cat['pagecategory_name'] = $cat['pagecategory_name'];

		if (isset($_SESSION['pagesFilter']) and $_SESSION['pagesFilter'] == $cat['pagecategory_id'])
		{
			$categoryList[] = array('pagecategoryIdx' => $cat['pagecategory_id'],
				 'pagecategoryNamex' => $cat['pagecategory_name'],
				 'pagecategoryCheckedx' => 'selected="selected"');
		}
		else
		{
			$categoryList[] = array('pagecategoryIdx' => $cat['pagecategory_id'],
				 'pagecategoryNamex' => $cat['pagecategory_name'],
				 'pagecategoryCheckedx' => '');
		}
	}

	$refPage->assign('onchange',
			  'onchange="window.location.replace(\'index2.php?page=page&sub=pages&filterId=\' + this.value);"');
	$refPage->assign('pagecategoryListx', $categoryList);
	$refPage->assign('pagecategoryList', _('Filter') . ': ');

	/**
	 * create pages-table
	 */
	$pagesListx = array();
	$pages = db::getInstance()->rawQuery("SELECT pages_id, pages_name, pages_order, " .
			  "pages_active, pages_active_1, pages_active_2, pages_active_3, " .
			  "pages_active_4, pages_active_5, pages_category FROM pages" .
			  $filterId . " ORDER BY pages_category, pages_order");

	$refPage->assign('pagesActiv', _('Activ') . '<br>' . SHORTNAME);
	// Help variable for Table design
	$colspan = 4;
	if (URL_1 <> '')
	{
		$colspan++;
		$refPage->assign('pagesActiv1', SHORTNAME_1);
	}
	if (URL_2 <> '')
	{
		$colspan++;
		$refPage->assign('pagesActiv2', SHORTNAME_2);
	}
	{
		$colspan++;
		$refPage->assign('pagesActiv3', SHORTNAME_3);
	}
	if (URL_4 <> '')
	{
		$colspan++;
		$refPage->assign('pagesActiv4', SHORTNAME_4);
	}
	if (URL_5 <> '')
	{
		$colspan++;
		$refPage->assign('pagesActiv5', SHORTNAME_5);
	}
	$refPage->assign('colspan', $colspan);

	$refPage->assign('tableSummary', _('Page list under use of the sedate filter') . ': ');
	$refPage->assign('pagesId', _('ID'));
	$refPage->assign('pagesSku', _('sku'));
	$refPage->assign('pagesName', _('Page-Name'));

	if (!empty($filterId)) $refPage->assign('pagesOrder', _('Order'));
	else $refPage->assign('pagesOrder', ' ');

	$refPage->assign('pagesCategory', _('Categoryname'));

	if ($pages !== NULL)
	{
		$counter = 0;
		// Set datarows to display
		if (!isset($_SESSION['pageA'])) $_SESSION['pageA'] = 1;
		if (ceil(count($pages) / PAGES_LIST) < $_SESSION['pageA']) $_SESSION['pageA'] --;
		if ($_SESSION['pageA'] <= 0) $_SESSION['pageA'] = 1;
		$pageFirst = ($_SESSION['pageA'] * PAGES_LIST) - PAGES_LIST + 1;
		$pageLast = $_SESSION['pageA'] * PAGES_LIST;
		getPagination($refPage, count($pages));
		$topOrderId = 0;
		$filterId = _setFilter($refValidate);

		foreach ($pages as $pagex)
		{
			$counter ++;

			if ($counter < $pageFirst) continue;

			if ($counter > $pageLast) break;

			$pages_namex = '<a title="' . _('Edit Page') . '" href="index2.php?page=' . $page . '&sub=' . $subpage .
					  '&id=' . $pagex['pages_id'] .
					  '&func=edit">' . $pagex['pages_name'] . '</a>';

			if (!empty($filterId))
			{
				if ($pagex['pages_order'] === 1)
				{
					$pages_orderx = '<input type="text" name="orderm[]" id="orderm" value="' .
							  $pagex['pages_order'] . '" size="4" />' .
							  '<input type="hidden" name="orderId[]" id="orderId[]" value="' .
							  $pagex['pages_id'] . '" />' .
							  '<img class="orderArrow" src="template/images/page.article/top1.gif">';
				}
				else
				{
					$pages_orderx = '<input class="NFText NFTextT" type="text" ' .
							  'name="orderm[]" id="orderm" value="' . $pagex['pages_order'] .
							  '" size="4" />' .
							  '<a href="index2.php?page=' . $page . '&sub=' . $subpage . '&cat=' .
							  $pagex['pages_category'] . '&order=' . $pagex['pages_id'] .
							  '&topid=' . $topOrderId . '">' .
							  '<input type="hidden" name="orderId[]" id="orderId[]" value="' .
							  $pagex['pages_id'] . '" />' .
							  '<img class="orderArrow" src="template/images/page.article/arrowup1.gif" ' .
							  'title="' . _('One Position up') . '"></a>';
				}
				$topOrderId = $pagex['pages_id'];
			}
			else $pages_orderx = '-';
         
         $tick = strtolower(substr(md5(microtime()),0,5));
			$activeLink = '<a href="index2.php?tick=' . $tick . '&page=' . $page . '&sub=' . $subpage . '&id=' .
					  $pagex['pages_id'] . '&active=';

			// Display all activ status
			if ($pagex['pages_active'] === '0')
					$pages_activex = $activeLink . '0#' . $pagex['pages_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
			else
					$pages_activex = $activeLink . '0#' . $pagex['pages_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';

			if (SHORTNAME_1 <> '')
			{
				if ($pagex['pages_active_1'] === '0')
						$pages_activex1 = $activeLink . '1#' . $pagex['pages_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
				else
						$pages_activex1 = $activeLink . '1#' . $pagex['pages_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';
			} else
			{
				$pages_activex1 = '';
			}

			if (SHORTNAME_2 <> '')
			{
				if ($pagex['pages_active_2'] === '0')
						$pages_activex2 = $activeLink . '2#' . $pagex['pages_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
				else
						$pages_activex2 = $activeLink . '2#' . $pagex['pages_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';
			} else
			{
				$pages_activex2 = '';
			}

			if (SHORTNAME_3 <> '')
			{
				if ($pagex['pages_active_3'] === '0')
						$pages_activex3 = $activeLink . '3#' . $pagex['pages_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
				else
						$pages_activex3 = $activeLink . '3#' . $pagex['pages_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';
			} else
			{
				$pages_activex3 = '';
			}

			if (SHORTNAME_4 <> '')
			{
				if ($pagex['pages_active_4'] === '0')
						$pages_activex4 = $activeLink . '4#' . $pagex['pages_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
				else
						$pages_activex4 = $activeLink . '4#' . $pagex['pages_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';
			} else
			{
				$pages_activex4 = '';
			}

			if (SHORTNAME_5 <> '')
			{
				if ($pagex['pages_active_5'] === '0')
						$pages_activex5 = $activeLink . '5#' . $pagex['pages_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
				else
						$pages_activex5 = $activeLink . '5#' . $pagex['pages_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';
			} else
			{
				$pages_activex5 = '';
			}
			
			db::getInstance()->where('pagecategory_id', $pagex['pages_category']);
			$pages_cat = db::getInstance()->getOne("pagecategory");

			$pages_categoryx = $pages_cat['pagecategory_name'];

			$pagesListx[] = array('pagesCheckboxx' => '<input class="pagesCheckbox" type="checkbox" name="marker[]" ' .
				 ' value="' . $pagex['pages_id'] . '" />',
				 'pagesIdx' => $pagex['pages_id'],
				 'ankerx' => 'id="' . $pagex['pages_id'] . '"',
				 'pagesNamex' => $pages_namex,
				 'pagesOrderx' => $pages_orderx,
				 'pagesActivx' => $pages_activex,
				 'pagesActivx1' => $pages_activex1,
				 'pagesActivx2' => $pages_activex2,
				 'pagesActivx3' => $pages_activex3,
				 'pagesActivx4' => $pages_activex4,
				 'pagesActivx5' => $pages_activex5,
				 'pagesCategoryx' => $pages_categoryx);
		}
	}
	$refPage->assign('pagesListx', $pagesListx);

	if (!empty($filterId))
			$refPage->assign('btnOrder',
				  '<input type="submit" name="submit" id="order" value="' . _('Save order') . '" />');
	else $refPage->assign('btnOrder', '');

	$refPage->assign('btnDelete',
			  '<input type="submit" name="submit" id="delete" value="' . _('Delete') . '" />');

	$refPage->assign('btnNew',
			  '<input type="submit" name="submit" id="new" value="' . _('New') . '" />');

	$refPage->assign('btnCopy',
			  '<input type="submit" name="submit" id="copy" value="' . _('Copy') . '" />');

	$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.tpl.php');
}
