<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Edit pdf-settings for pdf-order to print in
 * E-Mail->Orders
 * use pdf.tpl.php
 * 
 * @version    $Id: pdf.page.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2016
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $subpage, $refValidate) {
   if (isset($_REQUEST['submit'])) {
      if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save')) { // Update the database
         $pagefile = 'module/page/page/pdf.page.save.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
   }

   db::getInstance()->where('config_key', 'pdf');
   $result = db::getInstance()->getOne('config' . SUFFIX);
   $config = array();
   $configRows = array();
   $html = '';
   $data = array();
   $row = array();

   $configRows = explode('|', $result['config_text']);
   // Artikelfields ==============================================
   $refPage->assign('title2', _('Table settings'));
   $refPage->assign('action', 'index2.php?page=' . $page . '&sub=' . $subpage);

   for ($i = 0; $i < 29; $i += 1) {
      $row = explode('~', $configRows[$i]);

      switch ($row[0]) {
         case 'tax':
            $refPage->assign('tax', _('Show tax') . ': ');
            $refPage->assign('pdftaxxHelp', help('pdfTax', $page));

            if ($row[1] == 0)
               $refPage->assign('taxx', '<input type = "checkbox" name = "taxx" ' .
                       'value = "' . $row[1] . '" />');
            else
               $refPage->assign('taxx', '<input type = "checkbox" name = "taxx"' .
                       ' value = "' . $row[1] . '" checked />');

            break;
         case 'ttitle':
            $refPage->assign('ttitle', _('Title') . ': ');
            $refPage->assign('ttitlex', '<input type="text" name="ttitlex" size="50" value="' . _('Table') . '" readonly />');
            $refPage->assign('pdfttitlexHelp', help('pdfTtitle', $page));
            break;
         case 'tleft':
            $refPage->assign('tleft', _('Left margin') . ': ');
            $refPage->assign('tleftx', '<input type="text" name="tleftx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdftleftxHelp', help('pdfTleft', $page));
            break;
         case 'ttop':
            $refPage->assign('ttop', _('Top margin') . ': ');
            $refPage->assign('ttopx', '<input type="text" name="ttopx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfttopxHelp', help('pdfTtop', $page));
            break;
         case 'twidth':
            $refPage->assign('twidth', _('Width') . ': ');
            $refPage->assign('twidthx', '<input type="text" name="twidthx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdftwidthxHelp', help('pdfTwidth', $page));
            break;
         case 'rowheight':
            $refPage->assign('rowheight', _('rowheight') . ': ');
            $refPage->assign('rowheightx', '<input type="text" name="rowheightx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfrowheightxHelp', help('pdfRowheight', $page));
            break;
         case 'rows':
            $refPage->assign('rows', _('Max. rows') . ': ');
            $refPage->assign('rowsx', '<input type="text" name="rowsx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfrowsxHelp', help('pdfrows', $page));
            break;
         case 'tfont':
            $refPage->assign('tfont', _('Fontname') . ': ');
            $refPage->assign('tfontx', '<input type="text" name="tfontx" size="35" value="' . $row[1] . '" />');
            $refPage->assign('pdftfontxHelp', help('pdfTfont', $page));
            break;
         case 'tweight':
            $refPage->assign('tweight', _('Weight') . ': ');
            $refPage->assign('tweightx', '<input type="text" name="tweightx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdftweightxHelp', help('pdfTweight', $page));
            break;
         case 'border':
            $refPage->assign('border', _('Line width') . ': ');
            $refPage->assign('borderx', '<input type="text" name="borderx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfborderxHelp', help('pdfBorder', $page));
            break;

         case 'number':
            $refPage->assign('number', _('Number') . ': ');
            $refPage->assign('numberx', '<input type="text" name="numberx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfnumberxHelp', help('pdfNumber', $page));
            break;
         case 'numberwidth':
            $refPage->assign('numberwidth', _('Number width') . ': ');
            $refPage->assign('numberwidthx', '<input type="text" name="numberwidthx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfnumberwidthxHelp', help('pdfWidth', $page));
            break;
         case 'numberorientation':
            $refPage->assign('numberorientation', _('Number orientation') . ': ');
            $html = '<select name = "numberorientationx">';

            If ($row[1] == 'J')
               $html .= '<option selected value = "J">' . _('Block') . '</option>';
            else
               $html .= '<option value = "J">' . _('Block') . '</option>';
            If ($row[1] == 'L')
               $html .= '<option selected value = "L">' . _('Left') . '</option>';
            else
               $html .= '<option value = "L">' . _('Left') . '</option>';
            If ($row[1] == 'C')
               $html .= '<option selected value = "C">' . _('Center') . '</option>';
            else
               $html .= '<option value = "C">' . _('Center') . '</option>';
            If ($row[1] == 'R')
               $html .= '<option selected value = "R">' . _('Right') . '</option></select>';
            else
               $html .= '<option value = "R">' . _('Right') . '</option></select>';
            $refPage->assign('numberorientationx', $html);
            $refPage->assign('pdfnumberorientationxHelp', help('pdforientation', $page));
            break;

         case 'description':
            $refPage->assign('description', _('Description') . ': ');
            $refPage->assign('descriptionx', '<input type="text" name="descriptionx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfdescriptionxHelp', help('pdfDescription', $page));
            break;
         case 'descriptionwidth':
            $refPage->assign('descriptionwidth', _('Description width') . ': ');
            $refPage->assign('descriptionwidthx', '<input type="text" name="descriptionwidthx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfdescriptionwidthxHelp', help('pdfWidth', $page));
            break;
         case 'descriptionorientation':
            $refPage->assign('descriptionorientation', _('Description orientation') . ': ');
            $html = '<select name = "descriptionorientationx">';

            If ($row[1] == 'J')
               $html .= '<option selected value = "J">' . _('Block') . '</option>';
            else
               $html .= '<option value = "J">' . _('Block') . '</option>';
            If ($row[1] == 'L')
               $html .= '<option selected value = "L">' . _('Left') . '</option>';
            else
               $html .= '<option value = "L">' . _('Left') . '</option>';
            If ($row[1] == 'C')
               $html .= '<option selected value = "C">' . _('Center') . '</option>';
            else
               $html .= '<option value = "C">' . _('Center') . '</option>';
            If ($row[1] == 'R')
               $html .= '<option selected value = "R">' . _('Right') . '</option></select>';
            else
               $html .= '<option value = "R">' . _('Right') . '</option></select>';
            $refPage->assign('descriptionorientationx', $html);
            $refPage->assign('pdfdescriptionorientationxHelp', help('pdforientation', $page));
            break;

         case 'value':
            $refPage->assign('value', _('Value') . ': ');
            $refPage->assign('valuex', '<input type="text" name="valuex" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfvaluexHelp', help('pdfValue', $page));
            break;
         case 'valuewidth':
            $refPage->assign('valuewidth', _('Value width') . ': ');
            $refPage->assign('valuewidthx', '<input type="text" name="valuewidthx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfvaluewidthxHelp', help('pdfWidth', $page));
            break;
         case 'valueorientation':
            $refPage->assign('valueorientation', _('Value orientation') . ': ');
            $html = '<select name = "valueorientationx">';

            If ($row[1] == 'J')
               $html .= '<option selected value = "J">' . _('Block') . '</option>';
            else
               $html .= '<option value = "J">' . _('Block') . '</option>';
            If ($row[1] == 'L')
               $html .= '<option selected value = "L">' . _('Left') . '</option>';
            else
               $html .= '<option value = "L">' . _('Left') . '</option>';
            If ($row[1] == 'C')
               $html .= '<option selected value = "C">' . _('Center') . '</option>';
            else
               $html .= '<option value = "C">' . _('Center') . '</option>';
            If ($row[1] == 'R')
               $html .= '<option selected value = "R">' . _('Right') . '</option></select>';
            else
               $html .= '<option value = "R">' . _('Right') . '</option></select>';
            $refPage->assign('valueorientationx', $html);
            $refPage->assign('pdfvalueorientationxHelp', help('pdforientation', $page));
            break;

         case 'sprice':
            $refPage->assign('sprice', _('Unit price') . ': ');
            $refPage->assign('spricex', '<input type="text" name="spricex" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfspricexHelp', help('pdfSprice', $page));
            break;
         case 'spricewidth':
            $refPage->assign('spricewidth', _('Unit price width') . ': ');
            $refPage->assign('spricewidthx', '<input type="text" name="spricewidthx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfspricewidthxHelp', help('pdfWidth', $page));
            break;
         case 'tspriceorientation':
            $refPage->assign('tspriceorientation', _('Unit price orientation') . ': ');
            $html = '<select name = "tspriceorientationx">';

            If ($row[1] == 'J')
               $html .= '<option selected value = "J">' . _('Block') . '</option>';
            else
               $html .= '<option value = "J">' . _('Block') . '</option>';
            If ($row[1] == 'L')
               $html .= '<option selected value = "L">' . _('Left') . '</option>';
            else
               $html .= '<option value = "L">' . _('Left') . '</option>';
            If ($row[1] == 'C')
               $html .= '<option selected value = "C">' . _('Center') . '</option>';
            else
               $html .= '<option value = "C">' . _('Center') . '</option>';
            If ($row[1] == 'R')
               $html .= '<option selected value = "R">' . _('Right') . '</option></select>';
            else
               $html .= '<option value = "R">' . _('Right') . '</option></select>';
            $refPage->assign('tspriceorientationx', $html);
            $refPage->assign('pdftspriceorientationxHelp', help('pdfOrientation', $page));
            break;

         case 'price':
            $refPage->assign('price', _('Price') . ': ');
            $refPage->assign('pricex', '<input type="text" name="pricex" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfpricexHelp', help('pdfPrice', $page));
            break;
         case 'pricewidth':
            $refPage->assign('pricewidth', _('Price width') . ': ');
            $refPage->assign('pricewidthx', '<input type="text" name="pricewidthx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfpricewidthxHelp', help('pdfWidth', $page));
         case 'priceorientation':
            $refPage->assign('priceorientation', _('Price orientation') . ': ');
            $html = '<select name = "priceorientationx">';

            If ($row[1] == 'J')
               $html .= '<option selected value = "J">' . _('Block') . '</option>';
            else
               $html .= '<option value = "J">' . _('Block') . '</option>';
            If ($row[1] == 'L')
               $html .= '<option selected value = "L">' . _('Left') . '</option>';
            else
               $html .= '<option value = "L">' . _('Left') . '</option>';
            If ($row[1] == 'C')
               $html .= '<option selected value = "C">' . _('Center') . '</option>';
            else
               $html .= '<option value = "C">' . _('Center') . '</option>';
            If ($row[1] == 'R')
               $html .= '<option selected value = "R">' . _('Right') . '</option></select>';
            else
               $html .= '<option value = "R">' . _('Right') . '</option></select>';
            $refPage->assign('priceorientationx', $html);
            $refPage->assign('pdfpriceorientationxHelp', help('pdforientation', $page));
            break;
         case 'pageheight':
            $refPage->assign('pageheight', _('Page height') . ': ');
            $refPage->assign('pageheightx', '<input type="text" name="pageheightx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfpageheightxHelp', help('pdfHeight', $page));
            break;
         case 'pagewidth':
            $refPage->assign('pagewidth', _('Page width') . ': ');
            $refPage->assign('pagewidthx', '<input type="text" name="pagewidthx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfpagewidthxHelp', help('pdfpwidth', $page));
            break;
         case 'pageleft':
            $refPage->assign('pageleft', _('Left margin') . ': ');
            $refPage->assign('pageleftx', '<input type="text" name="pageleftx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfpageleftxHelp', help('pdfLeft', $page));
            break;
         case 'pagetop':
            $refPage->assign('pagetop', _('Top margin') . ': ');
            $refPage->assign('pagetopx', '<input type="text" name="pagetopx" size="5" value="' . $row[1] . '" />');
            $refPage->assign('pdfpagetopxHelp', help('pdfTop', $page));
            break;
      }
   }

   // Papersize ==================================================
   $refPage->assign('title0', _('Papersize'));

   // Textfields ==================================================
   $refPage->assign('title1', _('Textfields'));
   $data = array();
   $act = 0;
   for ($i = 28; $i < count($configRows); $i += 1) {
      $row = explode('~', $configRows[$i]);

      switch ($row[0]) {
         case 'active':
            if ($row[1] == '0') {
               $activey = '<input type = "checkbox" name = "activex' . $act . '" />';
               $act += 1;
            } else {
               $activey = '<input type = "checkbox" name = "activex' . $act . '" checked />';
               $act += 1;
            }
            break;
         case 'title':
            if ($i == 30) {
               $titley = '<input type="text" name="titlex[]" size="50" value="' . _('Adressfield') . '" readonly />';
               $helpx = help('pdfTitleadress', $page);
            } elseif ($i == 45) {
               $titley = '<input type="text" name="titlex[]" size="50" value="' . _('Tax number') . '" readonly />';
               $helpx = help('pdfTitletax', $page);
            } elseif ($i == 60) {
               $titley = '<input type="text" name="titlex[]" size="50" value="' . _('Invoice number') . '" readonly />';
               $helpx = help('pdfTitleinvoice', $page);
            } elseif ($i == 75) {
               $titley = '<input type="text" name="titlex[]" size="50" value="' . _('sales tax id') . '" readonly />';
               $helpx = help('pdfTitlesales', $page);
            } elseif ($i == 90) {
               $titley = '<input type="text" name="titlex[]" size="50" value="' . _('Orderer number') . '" readonly />';
               $helpx = help('pdfTitleorderer', $page);
            } elseif ($i == 105) {
               $titley = '<input type="text" name="titlex[]" size="50" value="' . _('Order date') . '" readonly />';
               $helpx = help('pdfTitleordererdate', $page);
            } elseif ($i == 120) {
               $titley = '<input type="text" name="titlex[]" size="50" value="' . _('Date') . '" readonly />';
               $helpx = help('pdfTitledate', $page);
            } else {
               $titley = '<input type="text" name="titlex[]" size="50" value="' . $row[1] . '" />';
               $helpx = help('pdfTitle', $page);
            }
            break;
         case 'text':
            if ($i == 31) {
               $texty = '<input type="text" name="textx[]" size="50" value="' . _('Adressfielddata') . '" readonly />';
            } elseif ($i == 46) {
               $texty = '<input type="text" name="textx[]" size="50" value="' . _('Tax number') . '" readonly />';
            } elseif ($i == 61) {
               $texty = '<input type="text" name="textx[]" size="50" value="' . _('Invoice number') . '" readonly />';
            } elseif ($i == 76) 
               {$texty = '<input type="text" name="textx[]" size="50" value="' . _('Sales tax id') . '" readonly />';
            } elseif ($i == 91) {
               $texty = '<input type="text" name="textx[]" size="50" value="' . _('Orderer number') . '" readonly />';
            } elseif ($i == 106) {
               $texty = '<input type="text" name="textx[]" size="50" value="' . _('Order date') . '" readonly />';
            } elseif ($i == 121) {
               $texty = '<input type="text" name="textx[]" size="50" value="' . _('Date') . '" readonly />';
            } else {
               $texty = '<input type="text" name="textx[]" size="50" value="' . $row[1] . '" />';
            }


            break;
         case 'left':
            $lefty = '<input type="text" name="leftx[]" size="5" value="' . $row[1] . '" />';
            break;
         case 'top':
            $topy = '<input type="text" name="topx[]" size="5" value="' . $row[1] . '" />';
            break;
         case 'width':
            $widthy = '<input type="text" name="widthx[]" size="5" value="' . $row[1] . '" />';
            break;
         case 'height':
            $heighty = '<input type="text" name="heightx[]" size="5" value="' . $row[1] . '" />';
            break;
         case 'font':
            $fonty = '<input type="text" name="fontx[]" size="35" value="' . $row[1] . '" />';
            break;
         case 'weight':
            $weighty = '<input type="text" name="weightx[]" size="5" value="' . $row[1] . '" />';
            break;
         case 'borderleft':
            if ($row[1] == '0')
               $borderlefty = '<input type = "checkbox" name = "borderleftx' . ($act - 1) . '" ' .
                       'value = "0" />';
            else
               $borderlefty = '<input type = "checkbox" name = "borderleftx' . ($act - 1) . '"' .
                       ' value = "L" checked />';
            break;
         case 'bordertop':
            if ($row[1] == '0')
               $bordertopy = '<input type = "checkbox" name = "bordertopx' . ($act - 1) . '" ' .
                       'value = "0" />';
            else
               $bordertopy = '<input type = "checkbox" name = "bordertopx' . ($act - 1) . '"' .
                       ' value = "T" checked />';
            break;
         case 'borderright':
            if ($row[1] == '0')
               $borderrighty = '<input type = "checkbox" name = "borderrightx' . ($act - 1) . '" ' .
                       'value = "0" />';
            else
               $borderrighty = '<input type = "checkbox" name = "borderrightx' . ($act - 1) . '"' .
                       ' value = "R" checked />';
            break;
         case 'borderbottom':
            if ($row[1] == '0')
               $borderbottomy = '<input type = "checkbox" name = "borderbottomx' . ($act - 1) . '" ' .
                       'value = "0" />';
            else
               $borderbottomy = '<input type = "checkbox" name = "borderbottomx' . ($act - 1) . '"' .
                       ' value = "B" checked />';
            break;
         case 'orientation':
            $orientationy = '<select name = "orientationx[]">';

            If ($row[1] == 'J')
               $orientationy .= '<option selected value = "J">' . _('Block') . '</option>';
            else
               $orientationy .= '<option value = "J">' . _('Block') . '</option>';
            If ($row[1] == 'L')
               $orientationy .= '<option selected value = "L">' . _('Left') . '</option>';
            else
               $orientationy .= '<option value = "L">' . _('Left') . '</option>';
            If ($row[1] == 'C')
               $orientationy .= '<option selected value = "C">' . _('Center') . '</option>';
            else
               $orientationy .= '<option value = "C">' . _('Center') . '</option>';
            If ($row[1] == 'R')
               $orientationy .= '<option selected value = "R">' . _('Right') . '</option></select>';
            else
               $orientationy .= '<option value = "R">' . _('Right') . '</option></select>';
            break;
         case 'linewidth':
            $linewidthy = '<input type="text" name="linewidthx[]" size="5" value="' . $row[1] . '" />';

            $data[] = array(
                'active' => _('Display') . ': ',
                'activex' => $activey,
                'pdfactivexHelp' => help('pdfActive', $page),
                'title' => _('Title') . ': ',
                'titlex' => $titley,
                'pdftitlexHelp' => $helpx,
                'text' => _('Text') . ': ',
                'textx' => $texty,
                'pdftextxHelp' => help('pdfText', $page),
                'left' => _('Left margin') . ': ',
                'leftx' => $lefty,
                'pdfleftxHelp' => help('pdfLeft', $page),
                'top' => _('Top margin') . ': ',
                'topx' => $topy,
                'pdftopxHelp' => help('pdfTop', $page),
                'width' => _('Width') . ': ',
                'widthx' => $widthy,
                'pdfwidthxHelp' => help('pdfWidth', $page),
                'height' => _('Height') . ': ',
                'heightx' => $heighty,
                'pdfheightxHelp' => help('pdfHeight', $page),
                'font' => _('Fontname') . ': ',
                'fontx' => $fonty,
                'pdffontxHelp' => help('pdfFont', $page),
                'weight' => _('Weight') . ': ',
                'weightx' => $weighty,
                'pdfweightxHelp' => help('pdfWeight', $page),
                'borderleft' => _('Border left') . ': ',
                'borderleftx' => $borderlefty,
                'pdfborderleftxHelp' => help('pdfBorderleft', $page),
                'bordertop' => _('Border top') . ': ',
                'bordertopx' => $bordertopy,
                'pdfbordertopxHelp' => help('pdfBordertop', $page),
                'borderright' => _('Border right') . ': ',
                'borderrightx' => $borderrighty,
                'pdfborderrightxHelp' => help('pdfBorderright', $page),
                'borderbottom' => _('Border bottom') . ': ',
                'borderbottomx' => $borderbottomy,
                'pdfborderbottomxHelp' => help('pdfBorderbottom', $page),
                'orientation' => _('Orientation') . ': ',
                'orientationx' => $orientationy,
                'pdforientationxHelp' => help('pdfOrientation', $page),
                'linewidth' => _('Line width') . ': ',
                'linewidthx' => $linewidthy,
                'pdflinewidthxHelp' => help('pdfLinewidth', $page));
            break;
      }
   }
   $refPage->assign('data', $data);
   unset($data);
   $refPage->assign('textHelp', help('pdfPageText', $page, TRUE));

   $refPage->assign('titleTop', _('Invoice PDF-Settings'));
   $refPage->assign('btnSave', '<input type="submit" name="submit" id="save" value="' . _('Save') . '" />');
   $refPage->assign('btnAbort', '<input type="reset" value="' . _('Abort') . '">');

   $refPage->addtpl('content', '/page/pdf.tpl.php');
}
