<?php
if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create orderer list page with order details
 * used from orders.page.list.php
 *
 * @version    $Id: orders.list.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
/**
 * Usable Elements to display ordermails
 * 
 * {page_titel}		Pagetitele and orderid
 * {customerid}		Titel of field
 * {customeridx}		customerid
 * {company}			Titel of field
 * {companyx}			Companyname
 * {firstname}			Titel of field
 * {firstnamex}		firstname
 * {lastname}			Titel of field
 * {lastnamex}			lastname
 * {street}				Titel of field
 * {streetx}			Streetname incl. number
 * {zip}					Titel of field
 * {zipx}				Zipcode
 * {city}				Titel of field
 * {cityx}				Cityname
 * {country}			Titel of field
 * {countryx}			countryname
 * {state}				Titel of field
 * {statex}				Statename
 * {phone}				Titel of field
 * {phonex}				Phonenumber
 * {fax}					Titel of field
 * {faxx}				Faxnumber
 * {handy}				Titel of field
 * {handyx}				Mobilenumber
 * {email}				Titel of field
 * {emailx}				Mailadress
 * {orderdate}			Titel of field
 * {orderdatex}		Date of order
 * {connectiondata}	Titel of field
 * {connectiondatax}	Customer connectiondata (IP...)
 * {customerNote}		Titel of field
 * {customerNotex}	Comment from customer
 * {total}				Titel of field
 * {totalx}				Totalprice incl. tax
 * {totaltax}			Titel of field
 * {totaltaxx}			Tax from totalprice
 * {shipping}			Titel of field
 * {shippingx}			Name of shipping
 * {shippingtotal}	Titel of field
 * {shippingtotalx}	Shippingprice
 * {shippingtax}		Titel of field
 * {shippingtaxx}		Tax of shippingprice
 * {payment}			Titel of field
 * {paymentx}			name of payment
 * {invoicepayedx}	Marker if order payes ('yes' or 'no')
 * {status}				Titel of field
 * {statusx}			Status of order
 * {invoicesend}		Titel of field
 * {invoicesendx}		Marker if invoice send to customer ('yes' or 'no')
 *  
 */
?>

<h2>{page_titel}</h2>



<form class="niceform fieldset category" action="{formStart}" method="post">
   <fieldset>

      <dl>
         <dt><label for="customeridx">{customerid}</label></dt>
         <dd>{customeridx}</dd>
      </dl>
      <br><br><br>
      <div id="orderlist">
         <div class="left">
            <dl>
               <dt><label for="companyx">{company}</label></dt>
               <dd>
                  {companyx}
               </dd>
            </dl>

            <dl>
               <dt><label for="firstnamex">{firstname}</label></dt>
               <dd>
                  {firstnamex}
               </dd>
            </dl>

            <dl>
               <dt><label for="lastnamex">{lastname}</label></dt>
               <dd>
                  {lastnamex}
               </dd>
            </dl>

            <dl>
               <dt><label for="streetx">{street}</label></dt>
               <dd>
                  {streetx}
               </dd>
            </dl>

            <dl>
               <dt><label for="zipx">{zip}</label></dt>
               <dd>
                  {zipx}
               </dd>
            </dl>

            <dl>
               <dt><label for="cityx">{city}</label></dt>
               <dd>
                  {cityx}
               </dd>
            </dl>

            <dl>
               <dt><label for="countryx">{country}</label></dt>
               <dd>
                  {countryx}
               </dd>
            </dl>

            <dl>
               <dt><label for="phonex">{phone}</label></dt>
               <dd>
                  {phonex}
               </dd>
            </dl>

            <dl>
               <dt><label for="faxx">{fax}</label></dt>
               <dd>
                  {faxx}
               </dd>
            </dl>

            <dl>
               <dt><label for="handyx">{handy}</label></dt>
               <dd>
                  {handyx}
               </dd>
            </dl>

            <dl>
               <dt><label for="emailx">{email}</label></dt>
               <dd>
                  {emailx}
               </dd>
            </dl>

            <dl>
               <hr style="width:900px; margin-left:0px;">
            </dl>
         </div>
         <div class="right">
            <!-- Orderdata -->
            <dl>
               <dt><label for="ordernox">{orderno}</label></dt>
               <dd>
                  {ordernox}
               </dd>
            </dl>
            <dl>
               <dt><label for="orderdatex">{orderdate}</label></dt>
               <dd>
                  {orderdatex}
               </dd>
            </dl>
            <dl>
               <dt><label for="totalxy">{totaly}</label></dt>
               <dd>
                  {totalxy}
               </dd>
            </dl>

            <dl>
               <dt><label for="invoicepayedx">{invoicepayed}</label></dt>
               <dd>
                  {invoicepayedx}
                  &nbsp;&nbsp;{mailInvoicepayedHelp}
               </dd>
            </dl>
         </div>
         <div class="clear"></div>
      </div>

      <div id="orderDetail">
         <dl>
            <dd>
               <table id="order rounded-corner" cellspacing="0">
                  <!-- column-with  max table width: 625px-->
                  <colgroup>
                     <col width="390">
                     <col width="40">
                     <col width="55">
                     <col width="70">
                  </colgroup>

                  <thead>
                     <tr>
                        <th scope="col" class="rounded" align="left">{productName}</th>
                        <th scope="col" class="rounded" align="center">{quantity}</th>
                        <th scope="col" class="rounded">{itemPrice}</th>
                        <th scope="col" class="rounded">{totalprice}</th>
                     </tr>
                  </thead>

                  <tbody>
                     <!-- BEGIN products -->
                     <tr>
                        <td>{skux}<br>{namex}</td>
                        <td align="center">{quantityx}</td>
                        <td align="right">{itemPricex}</td>
                        <td align="right">{totalPricex}</td>
                     </tr>
                     <!-- END products -->
                     <tr>
                        <td id="shippingTotal" colspan="3">
                           {shippingTotal}
                        </td>
                        <td id="shippingTotalx">
                           {shippingTotalx}
                        </td>
                     </tr>
                     <tr>
                        <td id="total" colspan="3">
                           {total}
                        </td>
                        <td id="totalx">
                           {totalx}
                        </td>
                     </tr>
                  </tbody>
               </table>
            </dd>
         </dl>
         <dl>
            <dt><label for="shippingx">{shipping}</label></dt>
            <dd>
               {shippingx}
            </dd>
         </dl>
         <dl>
            <dt><label for="paymentx">{payment}</label></dt>
            <dd>
               {paymentx}
            </dd>
         </dl>
         <dl>
            <dd>
               <div id="paymentText">
                  {paymentText}<br>
                  {paymentTextx}
               </div>
            </dd>
         </dl>
         <dl>
            <dt><label for="customerNotex">{customerNote}</label></dt>
            <dd>
               <p id='orderDetail'>
               <table>
                  <tr>
                     <td>{customerNotex}</td>
                  </tr>
               </table>
               </p>
            </dd>
         </dl>
         <dl>
            <dt><label for="shopNotex">{shopNote}</label></dt>
            <dd>
               <table>
                  <tr>
                     <td>{shopNotex}</td>
                     <td>{shopNoteHelp}</td>
                  </tr>
               </table>
            </dd>

         </dl>
         
      </div>
      <dl>
         <hr style="width:900px; margin-left:0px;">
         {btnSave}
         {btnRefresh}
         {btnPdf}
         {btnAbort}
      </dl>
   </fieldset>
</form>
