<?php
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Installation of TobbiVM-Shop
 *
 * @since 0.1.2
 * @version 0.1.2
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2018
 * @license GPL3
 * @category install
 * @package install
 * @subpackage install
 * $Rev: 29 $
 * $Date: 2018-08-13 12:19:28 +0200 (Mo, 13. Aug 2018) $
 * $Author: norbert-neo $
 * $URL: https://svn.code.sf.net/p/tobbivm/code/trunk/install/index.php $
 */
session_name("install");
session_start();
//$_SESSION = array();
include('config.php');
// load buffer
include_once('buffer.class.php');
$buffer = new buffer();
?>
<!doctype html>
<html lang="de">
   <head>
      <meta charset="utf-8" />
      <title>TobbiVM-Shop Installation</title>
      <meta name="description" content="Installationsscript für TobbiVM-Shop">
      <meta name="keywords" content="Installation, TobbiVM, Shop">
      <meta name="robots" content="index,follow">
      <meta name="author" content="Norbert Gebert">
      <link rel="stylesheet" href="styles.css" type="text/css" media="screen" />
      <script type="text/javascript" src="js/be_slide.js"></script>
      <script type="text/javascript" src="js/jquery.js"></script>
   </head>
   <body>
      <div id="wrapper">

         <!-- Beginn Kopfbereich mit Slideshow-->
         <header>

            <div id="slideshow" style="margin: auto; width: 980px; padding: 0px; text"    >
               <img src="pics/001.jpg" alt="Foto" style="width:980px;height:288px;" />
            </div>
         </header>
         <nav>
            <div class="menu">
               <ul>
                  TobbiVM-Shop Version <?php echo VERSION; ?>
               </ul>
            </div>
         </nav>

         <!-- Beginn Seiteninhalt -->
         <section id="form">
            <section id="content">

               <?php
               if (isset($_GET['page']))
               {
                  switch ($_GET['page'])
                  {
                     case 'server':
                        include 'server.php';
                        break;
                     case 'template':
                        include 'template.php';
                        break;
                     case 'adress':
                        buffer::setTemplate();
                        include 'adress.php';
                        break;
                     case 'database':
                        buffer::setAdress();

                        if (isset($_REQUEST['submit']) && $_REQUEST['submit'] == 'Test-Mail versenden')
                        {
                           buffer::testMail();
                           include 'email.php';
                        }
                        else
                           include 'database.php';
                        break;
                     case 'install':
                        buffer::setDatabase();

                        if (isset($_REQUEST['submit']) && $_REQUEST['submit'] == 'Teste Datenbankverbindung')
                           include 'db.php';
                        else
                           include 'install.php';
                        break;
                     case 'ready':
                        include 'ready.php';
                        break;
                     case 'htpasswd':
                        include 'htpasswd.php';
                        break;
                     case 'makepasswd':
                        include 'makepasswd.php';
                        break;
                     default:
                        include 'welcome.php';
                  }
               }
               else
               {
                  include 'welcome.php';
               }
               ?>
            </section>
         </section>
         <!-- Ende Seiteninhalt -->

         <!-- Beginn Fussbereich -->
         <footer>
            <section id="footer-area">
               <section id="footer-outer-block">


                  <aside class="footer-segment">
                     <h4>Design:</h4>
                     <p>
                        <a href="https://www.TobbiVM.de" target="_blank">www.TobbiVM.de</a>
                     </p>
                  </aside>

                  <aside class="footer-segment">
                     <p>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                     </p>
                  </aside>

                  <aside class="footer-segment">
                     <p>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                     </p>
                  </aside>

                  <aside class="footer-segment">
                     <h4>Webtemplate:</h4>
                     <p>
                        &copy; 2013 | <a href="http://www.ilozie.de" target="_blank">www.ilozie.de</a>
                     </p>
                  </aside>

               </section>
            </section>
         </footer>
         <!-- Ende Fussbereich -->

      </div>
   </body>
</html>
