<?php
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Installation of TobbiVM-Shop
 * Display server-testpage
 * @since 0.1.2
 * @version 0.1.2
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2018
 * @license GPL3
 * @category install
 * @package install
 * @subpackage install
 * $Rev: 29 $
 * $Date: 2018-08-13 12:19:28 +0200 (Mo, 13. Aug 2018) $
 * $Author: norbert-neo $
 * $URL: https://svn.code.sf.net/p/tobbivm/code/trunk/install/server.php $
 */
?>
<h1>&Uuml;berpr&uuml;fung der Servereinstellungen</h1>
Hier wird mit verschiedenen Scripten ermittelt ob TobbiVM-Shop auf deinem Server 
l&auml;uft.<br>
<br>

<table id="list">
   <thead>
      <tr>
         <th id="col1">Eigenschaft</th>
         <th id="col2">Serverwert</th>
         <th id="col3">Beschreibung</th>
      </tr>
   </thead>
   <tbody>
      <tr>
         <td><p>PHP-Version</p></td>
         <td class="col2">
            <?php
            if (phpversion() < 5.4)
               echo '<p class="red">' . phpversion() . '</p>';
            else
               echo '<p class="green">' . phpversion() . '</p>';
            ?>
         </td>
         <td><p>Numerische Angabe der PHP-Version. TobbiVM-Shop wurde bisher unter 
               den Versionen 5.4 bis 7 getestet. Unter anderen Versionen m&uuml;ssen die 
               Funktionen ausgiebig getestet werden!</p></td>
      </tr>
      <tr>
         <td><p>MySQL-Version</p></td>
         <td class="col2">
            <?php
            if (find_SQL_Version() <= 5)
               echo '<p class="red">' . find_SQL_Version() . '</p>';
            else
               echo '<p class="green">' . find_SQL_Version() . '</p>';
            ?>
         </td>
         <td><p>Numerische Angabe der MySQL-Version. TobbiVM-Shop wurde bisher unter 
               den Versionen 5.1 bis 5.4 getestet. Unter h&ouml;heren Versionen sollte  
               der Shop aber auch laufen.</p></td>
      </tr>
      <tr>
         <td><p>PHP-Mail-Funktion</p></td>
         <td class="col2">
            <?php
            if (!function_exists('mail'))
               echo '<p class="red">NEIN</p>';
            else
               echo '<p class="green">JA</p>';
            ?>
         </td>
         <td><p>Grundlegende Mail-Funktion unter PHP. Voraussetzung für TobbiVM-Shop!</p></td>
      </tr>
      <tr>
         <td><p>Safe-mode</p></td>
         <td class="col2">
            <?php
            if (ini_get("safe_mode"))
               echo '<p class="red">EIN</p>';
            else
               echo '<p class="green">AUS</p>';
            ?>
         </td>
         <td><p>Der Save-Mode von PHP ist ein Versuch ein gravierendes Sicherheitsproblem 
               bei gemeinsam genutzten Servern zu l&ouml;sen. Bei Versionen < PHP 6 muss 
               dieser abgeschaltet werden! Ab PHP V6 gibt es keinen Save-Mode mehr. </p></td>
      </tr>
      <tr>
         <td><p>Sessions</p></td>
         <td class="col2">
            <?php
            $_SESSION['myscriptname_sessions_work']=1;
            if (empty($_SESSION['myscriptname_sessions_work']))
               echo '<p class="red">AUS</p>';
            else
               echo '<p class="green">EIN</p>';
            ?>
         </td>
         <td><p>TobbiVM-Shop ben&ouml;tigt zwingend die Sessions-Funktionalit&auml;ten. Ohne 
               ist TobbiVM-Shop nicht lauff&auml;hig.</p></td>
      </tr>
   </tbody>
</table>
<a href="index.php" target="_self">
   <div class="button">
      Zur&uuml;ck
   </div>
</a>
<a href="index.php?page=template" target="_self">
   <div class="button">
      Template auswählen
   </div>
</a>
<br>
<br>
<?php
/**
 * Ermittelt die Datenbankversion
 * @return string Version of databasesoftware
 */
function find_SQL_Version() { 
  $output = shell_exec('mysql -V'); 
  $version = '';
  preg_match('@[0-9]+\.[0-9]+\.[0-9]+@', $output, $version); 
  return @$version[0]?$version[0]:-1; 
}