<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Datei: placeholder.class.php
 *
 * Replace placeholders like {placeholdername} in all 
 * article- and categorytexts and in article- and
 * category-templates
 *
 * @author Norbert Gebert
 * @copyright Norbert Gebert 25.09.2018
 * @license GPL3
 *
 * @version 0.8
 * @package Admin
 * @subpackage global
 */
class placeholder
{

   // @var $_search array Placeholdernames
   static $_search = array();
   // @var $_replace array text/code to replace
   static $_replace = array();

   /**
    * Initializes the system-variable if still not available. 
    */
   function __construct() {
      self::$_search = array(
          '{mailTo}',
          '{shortname}',
          '{googlePlus}',
          '{facebook}');

      self::$_replace = array(
          '<a href="mailto:' . MAIL_SENDER . '">' . MAIL_SENDER . '</a>',
          URL_NAME,
          '<script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>' .
          '<g:plusone  size="tall" annotation="bubble" recommendations="true" align="left"></g:plusone>',
          '<div id="fb-root"></div>' .
          '<script>(function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) return;
            js = d.createElement(s); js.id = id;
            js.src = \'https://connect.facebook.net/de_DE/sdk.js#xfbml=1&version=v2.12\';
            fjs.parentNode.insertBefore(js, fjs);
            }(document, \'script\', \'facebook-jssdk\'));</script>' .
           '<div class="fb-like" 
              data-href="https://developers.facebook.com/docs/plugins/" 
              data-layout="button" data-action="like" data-size="small" 
              data-show-faces="true" data-share="true"></div>');
   }

   /**
    * replace Placeholder with given text/code in text
    * @param string $row Text of one row from the message 
    * @param option $first Set the row on top-position if it true
    */
   public static function replace($text) {
      return (str_replace(self::$_search, self::$_replace, $text));
   }
   
   /**
    * Setting Variables in quickskin 
    * @param $refPage pointer to Quickskin 
    */
   public static function setPage($refPage) {
      for ($i= 0; $i < count(self::$_replace); $i++) {
         $refPage->assign(str_replace( ['{', '}'], '', self::$_search[$i]), self::$_replace[$i]);
      //echo str_replace( ['{', '}'], '', self::$_search[$i]);
      }
      //exit;
   }

}
