<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * create lightbox-code for all img-tags in given html-code
 * and class = "lightbox"
 * used from article.php
 *
 * @version    $Id: lightbox.func.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
function lightbox($html)
{
	$patternImg = '/<img(.*?)>/';
	$patternUrl = '/src=\"(.*?)\" /';
	$patternAlt = '/alt=\"(.*?)\" /';
	preg_match_all($patternImg, $html, $matches);

	foreach ($matches[0] as $imgTag)
	{ // find all images witch use lightbox-class and modify
		if (strpos($imgTag, 'lightbox') !== FALSE)
		{
			preg_match($patternUrl, $imgTag, $imgUrl);
			preg_match($patternAlt, $imgTag, $imgAlt);

			$newTag = '<a class = "t-lightbox" href = "' . $imgUrl[1] . '" ' .
					  'data-lightbox="' . $imgAlt[1] . '" data-title="' . $imgAlt[1] . '">' .
					  str_replace('lightbox', '', $imgTag) . '</a>';

			$html = str_replace($imgTag, $newTag, $html);
		}
	}
	return $html;
}
