<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * create pagecategory browsepage (page browsepage)
 * get: XXX.tpl.php
 * used from core.php
 *
 * @version    $Id: pagecategory.php 35 2018-08-23 11:52:57Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $title, $name, $refValidate, $refCart = 0) {
   db::getInstance()->where('pagecategory_id', $title);
   $result = db::getInstance()->getone('pagecategory');

   if (!empty($result['pagecategory_title']))
      $refPage->assign('templateTitel', $result['pagecategory_title']);

   db::getInstance()->where('pagecategory_top', $title);
   db::getInstance()->where('pagecategory_active' . SUFFIX, '1');
   db::getInstance()->orderBy('pagecategory_order', 'ASC');
   $result = db::getInstance()->get("pagecategory");

   // Normal page (pagecategory / pages)
   db::getInstance()->where('pagecategory_id', $title);
   $resultx = db::getInstance()->getOne("pagecategory");

   // Create metadescription
   if (!empty($resultx['pagecategory_metadescription']))
   {
      $meta = $resultx['pagecategory_metadescription'] . ', ' . META_DESCRIPTION;
      $meta = substr($meta, 0, META_DESCRIPTION_LENGH - 1) . '&hellip;';
      $refPage->assign('Metadescription', $meta);
   }

   $refPage->assign('header', $resultx['pagecategory_name']);
   $texte = array();
   $pageText = placeholder::replace($resultx['pagecategory_description']);
   $pageText = xplugin::getPluginCode($pageText);
   $texte = explode('{BOTTOM}', $pageText);

   $refPage->assign('textTop', $texte[0]);

   if (count($texte) == 2)
   {
      $refPage->assign('textBottom', $texte[1]);
   } else
   {
      $refPage->assign('textBottom', '');
   }

   if (count($result) >= 1)
   { // List of pagecategorys
      $pagecategoryList = array();
      foreach ($result as $row) {
         
         $attribute = '';
         $attribute .= '" alt="' . $row['pagecategory_image_alt'];
         $attribute .= '" title="' . $row['pagecategory_image_title'];

         $pagecategoryList[] = array('text' => $row['pagecategory_description'],
             'link' => '/index.php?page=pagecategory&amp;xtitle=' . $row['pagecategory_id'] .
             '&amp;name=' . seo::getSeoString($row['pagecategory_name']),
             'name' => $row['pagecategory_name'],
             'image' => '/images/' . PAGE_CATEGORY_IMAGE_PATH . '/' . $row['pagecategory_id'] . '/' .
             $row['pagecategory_image'] . $attribute);
      }
      $refPage->assign('pagecategorys', $pagecategoryList);
      $refPage->addtpl('content', '/pagecategory.tpl.php');
   } else
   { // List pages from the selectet category
      $cols = Array('pagecategory_display_products');
      db::getInstance()->where('pagecategory_id', $title);
      $toShowx = db::getInstance()->getOne("pagecategory", null, $cols);
      $toShow = $toShowx['pagecategory_display_pages'];
      db::getInstance()->where('pages_category', $title);
      db::getInstance()->where('pages_active' . SUFFIX, '1');
      db::getInstance()->orderBy('pages_order', 'ASC');
      $result = db::getInstance()->get("pages");
      
      $displayStart=1;
      $pagefile = 'module/function/pagecategorycounter.php';

      if (is_file($pagefile))
         include_once($pagefile);

      $pagesList = array();
      $begin = 1;
      $two = 0;
      $three = 0;
      $four = 0;
      $half = ceil(count($result)/2);
      $count = 0;
      $column = 'a';
      
      foreach ($result as $row) {
         if ($displayStart <= $displayEnd and $begin == $displayStart)
         {
            $count ++;
            $two ++;
            $three ++;
            $four ++;
            
            if($count <= $half) $column = 'a';
            else $column = 'b';

            $pagesList[] = array(
                'link' => '/index.php?page=pages&amp;xtitle=' . $row['pages_id'] .
                '&amp;name=' . seo::getSeoString($row['pages_name']),
                'name' => $row['pages_name'],
                'image' => '/images/' . PAGES_IMAGE_PATH . '/' . $title . '/' .
                $row['pages_image'],
                'two' => $two,
                'three' => $three,
                'four' => $four,
                'column' => $column);

            if ($two == 2)
               $two = 0;
            if ($three == 3)
               $three = 0;
            if ($four == 4)
               $four = 0;

            $displayStart++;
            $begin++;
         }
         else
         {
            $begin++;
         }
      }
      placeholder::setPage($refPage);

      $refPage->assign('header', $resultx['pagecategory_name']);
      $refPage->assign('pagesList', $pagesList);
      $refPage->addtpl('content', 'page.category.browse/' . $resultx['pagecategory_browsepage'] . '.tpl.php');
   }
}
