<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Shows (all) article, sortet by order / category 
 * get: article.tpl.php
 * used from article.page.php
 *
 * @version    $Id: article.page.table.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
$file = 'module/function/article.pagination.func.php';
if (is_file($file)) include $file;
$functions = 'module/function/article.func.php';
if (is_file($functions)) include_once $functions;

$result = db::getInstance()->rawQuery("SELECT category_id, category_name, category_active, " .
		  "category_order, category_top FROM category " .
		  "WHERE category_top = '0' " .
		  "ORDER BY category_order");

// Database error
if ($result === NULL)
{
	message::setErrorRow(_('No data could be found! - Contact Admin!'), true);
}
else
{
	$refPage->assign('pageTitel', _('Article table'));
	$refPage->assign('formStart', 'index2.php?page=article&sub=article&func=delete');

	/**
	 *  create list of categorys to filter article
	 */
	$categoryList = array();


	db::getInstance()->orderBy('category_top', 'asc');
	//db::getInstance()->orderBy('category_order', 'asc');
	$cols = Array('category_id', 'category_name', 'category_active');
	$categorys = db::getInstance()->get('category', null, $cols);
	$categorys = sortCategorys($result, true);

	$categoryList[] = array('categoryIdx' => 0,
		 'categoryNamex' => _('Display all'),
		 'categoryCheckedx' => '');


	foreach ($categorys as $cat)
	{
		$lr = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';

		if (strpos($cat['category_name'], '2|') !== FALSE)
				$cat['category_name'] = $lr . str_replace('2|', '', $cat['category_name']);
		elseif (strpos($cat['category_name'], '3|') !== FALSE)
				$cat['category_name'] = $lr . $lr . str_replace('3|', '', $cat['category_name']);
		elseif (strpos($cat['category_name'], '4|') !== FALSE)
				$cat['category_name'] = $lr . $lr . $lr . str_replace('4|', '', $cat['category_name']);
		elseif (strpos($cat['category_name'], '5|') !== FALSE)
				$cat['category_name'] = $lr . $lr . $lr . $lr . str_replace('5|', '', $cat['category_name']);
		else $cat['category_name'] = $cat['category_name'];

		if (isset($_SESSION['articleFilter']) and $_SESSION['articleFilter'] == $cat['category_id'])
		{
			$categoryList[] = array('categoryIdx' => $cat['category_id'],
				 'categoryNamex' => $cat['category_name'],
				 'categoryCheckedx' => 'selected="selected"');
		}
		else
		{
			$categoryList[] = array('categoryIdx' => $cat['category_id'],
				 'categoryNamex' => $cat['category_name'],
				 'categoryCheckedx' => '');
		}
	}

	$refPage->assign('onchange',
			  'onchange="window.location.replace(\'index2.php?page=article&sub=article&filterId=\' + this.value);"');
	$refPage->assign('categoryListx', $categoryList);
	$refPage->assign('categoryList', _('Filter') . ': ');

	/**
	 * create article-table
	 */
	$productListx = array();
	$products = db::getInstance()->rawQuery("SELECT product_id, product_name, product_order, " .
			  "product_active, product_active_1, product_active_2, product_active_3, " .
			  "product_active_4, product_active_5, product_category, product_sku FROM product" .
			  $filterId . " ORDER BY product_category, product_order");

	$refPage->assign('productActiv', _('Activ') . '<br>' . SHORTNAME);
	// Help variable for Table design
	$colspan = 4;
	if (URL_1 <> '')
	{
		$colspan++;
		$refPage->assign('productActiv1', SHORTNAME_1);
	}
	if (URL_2 <> '')
	{
		$colspan++;
		$refPage->assign('productActiv2', SHORTNAME_2);
	}
	{
		$colspan++;
		$refPage->assign('productActiv3', SHORTNAME_3);
	}
	if (URL_4 <> '')
	{
		$colspan++;
		$refPage->assign('productActiv4', SHORTNAME_4);
	}
	if (URL_5 <> '')
	{
		$colspan++;
		$refPage->assign('productActiv5', SHORTNAME_5);
	}
	$refPage->assign('colspan', $colspan);

	$refPage->assign('tableSummary', _('Article list under use of the sedate filter') . ': ');
	$refPage->assign('productId', _('ID'));
	$refPage->assign('productSku', _('sku'));
	$refPage->assign('productName', _('Product-Name'));

	if (!empty($filterId)) $refPage->assign('productOrder', _('Order'));
	else $refPage->assign('productOrder', ' ');

	$refPage->assign('productCategory', _('Category-<br>Name'));

	if ($products !== NULL)
	{
		$counter = 0;
		// Set datarows to display
		if (!isset($_SESSION['pageA'])) $_SESSION['pageA'] = 1;
		if (ceil(count($products) / ARTICLE_LIST) < $_SESSION['pageA']) $_SESSION['pageA'] --;
		if ($_SESSION['pageA'] <= 0) $_SESSION['pageA'] = 1;
		$pageFirst = ($_SESSION['pageA'] * ARTICLE_LIST) - ARTICLE_LIST + 1;
		$pageLast = $_SESSION['pageA'] * ARTICLE_LIST;
		getPagination($refPage, count($products));
		$topOrderId = 0;
		$filterId = _setFilter($refValidate);

		foreach ($products as $product)
		{
			$counter ++;

			if ($counter < $pageFirst) continue;

			if ($counter > $pageLast) break;

			$product_namex = '<a title="' . _('Edit article') . '" href="index2.php?page=' . $page . '&sub=' . $subpage .
					  '&id=' . $product['product_id'] .
					  '&func=edit">' . $product['product_name'] . '</a>';

			if (!empty($filterId))
			{
				if ($product['product_order'] === 1)
				{
					$product_orderx = '<input type="text" name="orderm[]" id="orderm" value="' .
							  $product['product_order'] . '" size="4" />' .
							  '<input type="hidden" name="orderId[]" id="orderId[]" value="' .
							  $product['product_id'] . '" />' .
							  '<img class="orderArrow" src="template/images/page.article/top1.gif">';
				}
				else
				{
					$product_orderx = '<input class="NFText NFTextT" type="text" ' .
							  'name="orderm[]" id="orderm" value="' . $product['product_order'] .
							  '" size="4" />' .
							  '<a href="index2.php?page=' . $page . '&sub=' . $subpage . '&cat=' .
							  $product['product_category'] . '&order=' . $product['product_id'] .
							  '&topid=' . $topOrderId . '">' .
							  '<input type="hidden" name="orderId[]" id="orderId[]" value="' .
							  $product['product_id'] . '" />' .
							  '<img class="orderArrow" src="template/images/page.article/arrowup1.gif" ' .
							  'title="' . _('One Position up') . '"></a>';
				}
				$topOrderId = $product['product_id'];
			}
			else $product_orderx = '-';
         $tick = strtolower(substr(md5(microtime()),0,5));  

			$activeLink = '<a href="index2.php?tick=' . $tick . '&page=' . $page . '&sub=' . $subpage . '&id=' .
					  $product['product_id'] . '&active=';

			// Display all activ status
			if ($product['product_active'] === '0')
					$product_activex = $activeLink . '0#' . $product['product_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
			else
					$product_activex = $activeLink . '0#' . $product['product_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';

			if (SHORTNAME_1 <> '')
			{
				if ($product['product_active_1'] === '0')
						$product_activex1 = $activeLink . '1#' . $product['product_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
				else
						$product_activex1 = $activeLink . '1#' . $product['product_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';
			} else
			{
				$product_activex1 = '';
			}

			if (SHORTNAME_2 <> '')
			{
				if ($product['product_active_2'] === '0')
						$product_activex2 = $activeLink . '2#' . $product['product_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
				else
						$product_activex2 = $activeLink . '2#' . $product['product_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';
			} else
			{
				$product_activex2 = '';
			}

			if (SHORTNAME_3 <> '')
			{
				if ($product['product_active_3'] === '0')
						$product_activex3 = $activeLink . '3#' . $product['product_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
				else
						$product_activex3 = $activeLink . '3#' . $product['product_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';
			} else
			{
				$product_activex3 = '';
			}

			if (SHORTNAME_4 <> '')
			{
				if ($product['product_active_4'] === '0')
						$product_activex4 = $activeLink . '4#' . $product['product_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
				else
						$product_activex4 = $activeLink . '4#' . $product['product_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';
			} else
			{
				$product_activex4 = '';
			}

			if (SHORTNAME_5 <> '')
			{
				if ($product['product_active_5'] === '0')
						$product_activex5 = $activeLink . '5#' . $product['product_id'] . '"><img src="template/images/page.article/notactive.gif" title="' . _('Activate') . '"></a>';
				else
						$product_activex5 = $activeLink . '5#' . $product['product_id'] . '"><img src="template/images/page.article/isactive.gif" title="' . _('Deactivate') . '"></a>';
			} else
			{
				$product_activex5 = '';
			}
			
			db::getInstance()->where('category_id', $product['product_category']);
			$products_cat = db::getInstance()->getOne("category");

			$product_categoryx = $products_cat['category_name'];

			$productListx[] = array('productCheckboxx' => '<input class="productCheckbox" type="checkbox" name="marker[]" ' .
				 ' value="' . $product['product_id'] . '" />',
				 'productIdx' => $product['product_id'],
				 'ankerx' => 'id="' . $product['product_id'] . '"',
				 'productSkux' => $product['product_sku'],
				 'productNamex' => $product_namex,
				 'productOrderx' => $product_orderx,
				 'productActivx' => $product_activex,
				 'productActivx1' => $product_activex1,
				 'productActivx2' => $product_activex2,
				 'productActivx3' => $product_activex3,
				 'productActivx4' => $product_activex4,
				 'productActivx5' => $product_activex5,
				 'productCategoryx' => $product_categoryx);
		}
	}
	$refPage->assign('productListx', $productListx);

	if (!empty($filterId))
			$refPage->assign('btnOrder',
				  '<input type="submit" name="submit" id="order" value="' . _('Save order') . '" />');
	else $refPage->assign('btnOrder', '');

	$refPage->assign('btnDelete',
			  '<input type="submit" name="submit" id="delete" value="' . _('Delete') . '" />');

	$refPage->assign('btnNew',
			  '<input type="submit" name="submit" id="new" value="' . _('New') . '" />');

	$refPage->assign('btnCopy',
			  '<input type="submit" name="submit" id="copy" value="' . _('Copy') . '" />');

	$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.tpl.php');
}
