<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Page Config->Payment
 * Edit payment-method
 *
 * @version    $Id: payment.page.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $subpage, $refValidate) {
   $refPage->assign('messagebox', '');

   if (isset($_GET['func']))
   {
      if ($refValidate->cleanslash($_GET['func']) === 'edit')
      { // edit tax
         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.editor.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
   }
   else if (isset($_REQUEST['submit']))
   {
      if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save'))
      { // Save values from Form
         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.save.php';
         if (is_file($pagefile))
            include_once $pagefile;

         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Delete'))
      { // Delete marked Data
         /**
          * Todo: Test if it in use. Yes? Then don't delete! Message! 
          */
         foreach ($_POST['marker'] as $idx)
         {
            $idx = $refValidate->cleanslash($idx);
            db::getInstance()->where('product_attribute_id', $idx);
            $result = db::getInstance()->getone('product');

            if (db::getInstance()->count > 0)
            { // Attribute in use!
               db::getInstance()->where('payment_id', $idx);
               $result2 = db::getInstance()->getone('payment');
               message::setErrorRow($result2['payment_name'] . _(' in use from ') .
                       $result['product_name'] . ' (Id=' . $result['product_id'] .
                       ')<br>' . _('Could not be deleted!'), true);
            }
            else
            {
               db::getInstance()->where('payment_id', $idx);
               $result2 = db::getInstance()->getone('payment');
               db::getInstance()->where('payment_id', $idx);
               
               if (db::getInstance()->delete('payment'))
               {
                  message::setNoteRow(_('Data successful deleted.'). ' (' .
                                $result2['payment_name'] . ')');
               }
               else
               {
                  message::setErrorRow(_('Payment not deleted!') .
                          ' (' . $result2['payment_name'] . ')');
               }
            }
         }

         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('New'))
      { // Get filename for new entry
         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.new.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save new entry'))
      { // Create new entry
         // Test if files exist
         $filename = $refValidate->cleanslash($_POST['filenamex']);
         $pagefile = '../plugins/payment/paypal.payment.php';
         //$pagefile = './index.php';
         if (is_file($pagefile))
         {
            $pagefile = '../plugins/payment/' . $filename . '/config.php';
            if (is_file($pagefile))
            {
               include_once $pagefile;
            }
            else
            {
               message::setErrorRow(_('Payment config file not found!'), TRUE);
            }
         }
         else
         {
            message::setErrorRow(_('Payment file not found!'), TRUE);
         }
         $pagefile = 'module/page/' . $page . '/payment.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Cancel'))
      { // browse payments
         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
   }
   else
   { // browse payments
      $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';
      if (is_file($pagefile))
         include_once $pagefile;
   }
}

?>