<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Page Config->Shipping
 * Edit shippingcost and -taxes for products
 *
 * @version    $Id: shipping.page.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $subpage, $refValidate) {
   if (isset($_GET['func']))
   {
      if ($refValidate->cleanslash($_GET['func']) === 'edit')
      { // edit tax
         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.edit.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
   }
   else if (isset($_REQUEST['submit']))
   {
      if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save'))
      { // Save values from Form
         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.save.php';
         if (is_file($pagefile))
            include_once $pagefile;

         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Delete'))
      { // Delete marked Data
         foreach ($_POST['marker'] as $idx)
         {
            $idx = $refValidate->cleanslash($idx);
            db::getInstance()->where('product_price_id', $idx);
            $result = db::getInstance()->getone('product');

            if (db::getInstance()->count > 0)
            { // Shipping costs in use!
               db::getInstance()->where('shipping_id', $idx);
               $result2 = db::getInstance()->getone('shipping');
               message::setErrorRow($result2['shipping_name'] . _(' in use from ') .
                       $result['product_name'] . ' (Id=' . $result['product_id'] .
                       ')<br>' . _('Could not be deleted!'), true);
            }
            else
            {
               db::getInstance()->where('shipping_id', $idx);
               $result2 = db::getInstance()->getone('shipping');
               db::getInstance()->where('shipping_id', $idx);

               if (db::getInstance()->delete('shipping'))
                  message::setNoteRow(_('Shipping entry deleted') . ' (' .
                          $result2['shipping_name'] . ')');
               else
                  message::setErrorRow(_('Attribute not deleted!') .
                          ' (' . $result2['shipping_name'] . ')');
            }
         }

         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('New'))
      { // Create new Entry and open Editor
         $data = Array('shipping_name' => _('New Shipping'));
         $id = db::getInstance()->insert("shipping", $data);
         db::getInstance()->where('shipping_name', _('New Shipping'));
         $result = db::getInstance()->getOne('shipping');

         $_GET['id'] = $result['shipping_id'];

         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.edit.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Cancel'))
      { // cancel editor
         $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
   }
   else
   { // browse shippingcosts table
      $pagefile = 'module/page/' . $page . '/' . $subpage . '.page.table.php';
      if (is_file($pagefile))
         include_once $pagefile;
   }
}
