<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Print filterd orderlist as PDF
 *
 * @version    $Id: orders.list.pdf.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */
$width = 297;
$height = 210;
$leftMargin = 15;
$topMargin = 20;

// Activate selectet filter(s)
$filter = array();
if ($_SESSION ['unknown'] == TRUE)
   $filter[] = 0;

if ($_SESSION ['confirmed'] == TRUE)
   $filter[] = 1;

if ($_SESSION ['ships'] == TRUE)
   $filter[] = 2;

if ($_SESSION ['paid'] == TRUE)
   $filter[] = 3;

if ($_SESSION ['reklamtion'] == TRUE)
   $filter[] = 4;

if ($_SESSION ['canceled'] == TRUE)
   $filter[] = 5;

if ($_SESSION ['others'] == TRUE)
   $filter[] = 6;

db::getInstance()->where('orderer_order_id', 0, '>');
db::getInstance()->where('orderer_order_status', $filter, 'IN');

if (!empty($_SESSION ['fromDate']) and ! empty($_SESSION ['toDate']))
{
   db::getInstance()->where('orderer_order_date', array(date('Y-m-d', strtotime($_SESSION ['fromDate'])),
       date('Y-m-d', strtotime($_SESSION ['toDate']))), 'BETWEEN');
}

$rows = db::getInstance()->get('orderer' . SUFFIX);
//$entrys = $rows['count(*)'] - 1;
// load fpdf-class
include_once('module/class/fpdf/fpdf.php');
// load newfpdf-class
include_once('module/class/fpdf/newfpdf.class.php');

// create new object DIN A4 -----------------------------------------------------------
//$pdf = new FPDF('L', 'mm', 'A4');
$pdf = new NewFPDF('L', 'mm', 'A4');
// Get font
$pdf->AddFont('Verdana', '', 'verdana.php');
$pdf->AddFont('Verdanab', '', 'verdanab.php');

// Set margins left, top, right
$pdf->SetMargins($leftMargin, $topMargin);

// Pagebreak ("margin bottom")
$pdf->SetAutoPageBreak(1, 10);
$pdf->AddPage();

$pdf->SetXY($leftMargin, $topMargin);
$pdf->SetFont('verdanab', '', 12);

$text = $_SERVER['HTTP_HOST'];
if (!empty($_SESSION ['fromDate']) and ! empty($_SESSION ['toDate']))
   $text .= ' - ' . _('from') . ': ' . $_SESSION ['fromDate'] .
           ' ' . 'to: ' . $_SESSION ['toDate'];

$text = utf8_decode($text);
$pdf->Cell(0, 0, $text, 0);

// create table
$pdf->SetXY($leftMargin, $topMargin + 12);
$invoiceWidth = 23;
$dateWidth = 24;
$customerWidth = 25;
$nameWidth = 65;
$companyWidth = 55;
$taxWidth = 24;
$valueWidth = 28;
$statusWidth = 24;
$columns = array();
$status = array(_('Unknown'), _('Confirmed'), _('Ships'),
    _('Paid'), _('Reklamtion'), _('Canceled'), _('Others'));
// Header colums ---------------------------------------------------------------------
$col = array();
$order = 1;

$col[] = array('text' => utf8_decode(_('Inv.-No.')),
    'width' => $invoiceWidth, 'height' => 8, 'align' => 'L',
    'font_name' => 'verdanab', 'font_size' => 10, 'font_style' => '',
    'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
    'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
$col[] = array('text' => utf8_decode(_('Date')),
    'width' => $dateWidth, 'height' => 8, 'align' => 'L',
    'font_name' => 'verdanab', 'font_size' => 10, 'font_style' => '',
    'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
    'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
$col[] = array('text' => utf8_decode(_('Cust.-No.')),
    'width' => $customerWidth, 'height' => 8, 'align' => 'L',
    'font_name' => 'verdanab', 'font_size' => 10, 'font_style' => '',
    'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
    'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
$col[] = array('text' => utf8_decode(_('Name')),
    'width' => $nameWidth, 'height' => 8, 'align' => 'L',
    'font_name' => 'verdanab', 'font_size' => 10, 'font_style' => '',
    'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
    'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
$col[] = array('text' => utf8_decode(_('Company')),
    'width' => $companyWidth, 'height' => 8, 'align' => 'L',
    'font_name' => 'verdanab', 'font_size' => 10, 'font_style' => '',
    'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
    'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
$col[] = array('text' => utf8_decode(_('Tax (EUR)')),
    'width' => $taxWidth, 'height' => 8, 'align' => 'L',
    'font_name' => 'verdanab', 'font_size' => 10, 'font_style' => '',
    'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
    'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
$col[] = array('text' => utf8_decode(_('Total (EUR)')),
    'width' => $valueWidth, 'height' => 8, 'align' => 'L',
    'font_name' => 'verdanab', 'font_size' => 10, 'font_style' => '',
    'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
    'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
$col[] = array('text' => utf8_decode(_('Status')),
    'width' => $statusWidth, 'height' => 8, 'align' => 'L',
    'font_name' => 'verdanab', 'font_size' => 10, 'font_style' => '',
    'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
    'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');

$columns[] = $col;
$col = array();

// Order list ----------------------------------------------------------------------
$total = 0;
$tax = 0;
foreach ($rows as $row)
{
   // Invoice No.
   $col[] = array('text' => utf8_decode($row['orderer_order_id']),
       'width' => $invoiceWidth, 'height' => 8, 'align' => 'L',
       'font_name' => 'verdana', 'font_size' => 10, 'font_style' => '',
       'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
       'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
   // Date
   $col[] = array('text' => utf8_decode(
               substr($row['orderer_order_date'], 8, 2) . '.' .
               substr($row['orderer_order_date'], 5, 2) . '.' .
               substr($row['orderer_order_date'], 0, 4)),
       'width' => $dateWidth, 'height' => 8, 'align' => 'C',
       'font_name' => 'verdana', 'font_size' => 10, 'font_style' => '',
       'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
       'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
   // Customer No.
   $col[] = array('text' => utf8_decode($row['orderer_customer_id']),
       'width' => $customerWidth, 'height' => 8, 'align' => 'L',
       'font_name' => 'verdana', 'font_size' => 10, 'font_style' => '',
       'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
       'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
   // Name
   $col[] = array('text' => utf8_decode($row['orderer_firstname'] . ' ' . $row['orderer_lastname']),
       'width' => $nameWidth, 'height' => 8, 'align' => 'L',
       'font_name' => 'verdana', 'font_size' => 10, 'font_style' => '',
       'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
       'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
   // Company
   $col[] = array('text' => utf8_decode($row['orderer_company']),
       'width' => $companyWidth, 'height' => 8, 'align' => 'L',
       'font_name' => 'verdana', 'font_size' => 10, 'font_style' => '',
       'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
       'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
   // Tax
   $col[] = array('text' => utf8_decode(number_format((float) $row['orderer_total_tax'], 2, ',', '.') . '  '),
       'width' => $taxWidth, 'height' => 8, 'align' => 'R',
       'font_name' => 'verdana', 'font_size' => 10, 'font_style' => '',
       'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
       'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
   $tax += $row['orderer_total_tax'];
   // Subtotal
   $col[] = array('text' => utf8_decode(number_format((float) $row['orderer_total'], 2, ',', '.') . '  '),
       'width' => $valueWidth, 'height' => 8, 'align' => 'R',
       'font_name' => 'verdana', 'font_size' => 10, 'font_style' => '',
       'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
       'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
   $total += $row['orderer_total'];
   // Status
   $col[] = array('text' => utf8_decode($status[$row['orderer_order_status']]),
       'width' => $statusWidth, 'height' => 8, 'align' => 'C',
       'font_name' => 'verdana', 'font_size' => 10, 'font_style' => '',
       'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
       'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');

   $columns[] = $col;
   $col = array();
}
$col[] = array('text' => utf8_decode(_('Total')),
    'width' => 192, 'height' => 8, 'align' => 'R',
    'font_name' => 'verdanab', 'font_size' => 10, 'font_style' => '',
    'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
    'drawcolor' => '0, 0, 0', 'linewidth' => 0, 'linearea' => 'T');
$col[] = array('text' => utf8_decode(number_format((float) $tax, 2, ',', '.') . '  '),
    'width' => $taxWidth, 'height' => 8, 'align' => 'R',
    'font_name' => 'verdanab', 'font_size' => 10, 'font_style' => '',
    'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
    'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');
$col[] = array('text' => utf8_decode(number_format((float) $total, 2, ',', '.') . '  '),
    'width' => $valueWidth, 'height' => 8, 'align' => 'R',
    'font_name' => 'verdanab', 'font_size' => 10, 'font_style' => '',
    'fillcolor' => '255, 255, 255', 'textcolor' => '0, 0, 0',
    'drawcolor' => '0, 0, 0', 'linewidth' => 0.1, 'linearea' => 'TBLR');

$columns[] = $col;
$col = NIL;

// Draw Table   
$pdf->WriteTable($columns);
$pdf->Output('D');
