<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * mail -> orderer -> create PDF
 * Create a PDF-File from orderdata and
 * save it temporary in tmp directory
 * Filename is the ordernumber
 *
 * @version    $Id: orders.page.pdf.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
db::getInstance()->where('config_key', 'invoiceImages');
$result = db::getInstance()->getOne('config' . SUFFIX);
$imageRows = array();
$imageRows = explode('|', $result['config_text']);

db::getInstance()->where('config_key', 'pdf');
$result = db::getInstance()->getOne('config' . SUFFIX);
$pdfRows = array();
$pdfRows = explode('|', $result['config_text']);

db::getInstance()->where('orderer_order_id', $_POST['idx']);
$resultOrderer = db::getInstance()->getone('orderer' . SUFFIX);
db::getInstance()->where('order_id', $resultOrderer['orderer_order_id']);
db::getInstance()->orderBy('order_order', 'desc');
$resultOrder = db::getInstance()->get('ordered' . SUFFIX);

$row = array();
$images = array();
$configPage = array();
$configText = array();
$buffer = array();

if (db::getInstance()->count > 0) {
   for ($i = 0; $i < 29; $i += 1) {
      $row = explode('~', $pdfRows[$i]);
      $configPage[$row[0]] = $row[1];
   }

   for ($i = 29; $i < (count($pdfRows) - 1); $i += 15) {
      for ($j = $i; $j < ($i + 15); $j += 1) {
         $row = explode('~', $pdfRows[$j]);
         $buffer[] .= $row[1];
      }

      $configText[] = array(
          'active' => $buffer[0],
          'title' => $buffer[1],
          'text' => $buffer[2],
          'height' => $buffer[3],
          'width' => $buffer[4],
          'top' => $buffer[5],
          'left' => $buffer[6],
          'font' => $buffer[7],
          'weight' => $buffer[8],
          'borderleft' => $buffer[9],
          'bordertop' => $buffer[10],
          'borderright' => $buffer[11],
          'borderbottom' => $buffer[12],
          'orientation' => $buffer[13],
          'linewidth' => $buffer[14]);

      $buffer = array();
   }

   foreach ($imageRows as $row) {
      $buffer = explode(':', $row);

      $configImage[] = array(
          'filename' => $buffer[0],
          'active' => $buffer[1],
          'left' => $buffer[2],
          'top' => $buffer[3],
          'width' => $buffer[4],
          'height' => $buffer[5]);
   }

   db::getInstance()->where('config_key', 'tax');
   $taxx = db::getInstance()->getOne('config');
   db::getInstance()->where('config_key', 'taxid');
   $taxidx = db::getInstance()->getOne('config');

// Breaks who be deletet from Textfields - clear Output to pdf
   $breaks = array("<br />", "<br>", "<br/>", "<br />", "&lt;br /&gt;", "&lt;br/&gt;", "&lt;br&gt;");

// load fpdf-class
   include_once('module/class/fpdf/fpdf.php');
// load newfpdf-class
   include_once('module/class/fpdf/newfpdf.class.php');

// create new object DIN A4 -----------------------------------------------------------
   if (floatval($configPage['pageheight']) >= floatval($configPage['pagewidth'])) {
      $pdf = new NewFPDF('P', 'mm', array(str_replace(',', '.', $configPage['pagewidth']),
          str_replace(',', '.', $configPage['pageheight'])));
   } else {
      $pdf = new NewFPDF('L','mm', array(str_replace(',', '.', $configPage['pagewidth']),
          str_replace(',', '.', $configPage['pageheight'])));
   }



// TODO: add all used Fonts
// Get font
   $pdf->AddFont('Verdana','','verdana.php');
   $pdf->AddFont('Verdanab','','verdanab.php');



// Set margins left, top, right
   $pdf->SetMargins(str_replace(',', '.', $configPage['pageleft']), str_replace(',', '.', $configPage['pagetop']), 0);

// TODO: add to config page
// Pagebreak ("margin bottom")
   $pdf->SetAutoPageBreak(1, 25);
   $pdf->AddPage();

// Insert all images
   foreach ($configImage as $image) {
      if ($image['active'] == 1) {
         $filename = 'template/images/invoice/' . $image['filename'];
         $pdf->Image($filename, $image['left'], $image['top'], $image['width'], $image['height']);
      }
   }

// Addressfield ----------------------------------------------------------------------
   if ($configText[0]['active'] == '1') {
// Set font
      $pdf->SetFont($configText[0]['font'], '', str_replace(',', '.', $configText[0]['weight']));
      $pdf->SetLineWidth(str_replace(',', '.', $configText[0]['linewidth']));


      $pdf->SetXY(str_replace(',', '.', $configText[0]['left']), str_replace(',', '.', $configText[0]['top']));
      $text = $resultOrderer['orderer_company'] . "\n" .
              $resultOrderer['orderer_firstname'] . " " . $resultOrderer['orderer_lastname'] . "\n" .
              $resultOrderer['orderer_street'] . "\n" .
              $resultOrderer['orderer_zip'] . " " . $resultOrderer['orderer_city'];
      $text = utf8_decode($text);

      $border = '';
      if ($configText[0]['borderleft'] <> '0')
         $border = $configText[0]['borderleft'];
      if ($configText[0]['bordertop'] <> '0')
         $border .= $configText[0]['bordertop'];
      if ($configText[0]['borderright'] <> '0')
         $border .= $configText[0]['borderright'];
      if ($configText[0]['borderbottom'] <> '0')
         $border .= $configText[0]['borderbottom'];

      $pdf->MultiCell($configText[0]['width'], str_replace(',', '.', $configText[0]['height']), $text, $border, $configText[0]['orientation'], FALSE);
   }
   if ($configText[1]['active'] == '1') {
      // Tax Number ------------------------------------------------------------------------
      // Set font
      $pdf->SetFont($configText[1]['font'], '', str_replace(',', '.', $configText[1]['weight']));
      $pdf->SetLineWidth(str_replace(',', '.', $configText[1]['linewidth']));

      $pdf->SetXY(str_replace(',', '.', $configText[1]['left']), str_replace(',', '.', $configText[1]['top']));
      $text = $taxx['config_text'];
      $text = utf8_decode($text);

      $border = '';
      if ($configText[1]['borderleft'] <> '0')
         $border = $configText[1]['borderleft'];
      if ($configText[1]['bordertop'] <> '0')
         $border .= $configText[1]['bordertop'];
      if ($configText[1]['borderright'] <> '0')
         $border .= $configText[1]['borderright'];
      if ($configText[1]['borderbottom'] <> '0')
         $border .= $configText[1]['borderbottom'];

      $pdf->MultiCell($configText[1]['width'], str_replace(',', '.', $configText[1]['height']), $text, $border, $configText[1]['orientation'], FALSE);
   }
   if ($configText[2]['active'] == '1') {
      // Invoice Number --------------------------------------------------------------------
      // Set font
      $pdf->SetFont($configText[2]['font'], '', str_replace(',', '.', $configText[2]['weight']));
      $pdf->SetLineWidth(str_replace(',', '.', $configText[2]['linewidth']));

      $pdf->SetXY(str_replace(',', '.', $configText[2]['left']), str_replace(',', '.', $configText[2]['top']));
      $text = $resultOrderer['orderer_order_id'];
      $text = utf8_decode($text);

      $border = '';
      if ($configText[2]['borderleft'] <> '0')
         $border = $configText[2]['borderleft'];
      if ($configText[2]['bordertop'] <> '0')
         $border .= $configText[2]['bordertop'];
      if ($configText[2]['borderright'] <> '0')
         $border .= $configText[2]['borderright'];
      if ($configText[2]['borderbottom'] <> '0')
         $border .= $configText[2]['borderbottom'];

      $pdf->MultiCell($configText[2]['width'], str_replace(',', '.', $configText[2]['height']), $text, $border, $configText[2]['orientation'], FALSE);
   }
   if ($configText[3]['active'] == '1') {
      // Sales tax id ----------------------------------------------------------------------
      // Set font
      $pdf->SetFont($configText[3]['font'], '', str_replace(',', '.', $configText[3]['weight']));
      $pdf->SetLineWidth(str_replace(',', '.', $configText[3]['linewidth']));

      $pdf->SetXY(str_replace(',', '.', $configText[3]['left']), str_replace(',', '.', $configText[3]['top']));
      $text = $taxidx['config_text'];
      $text = utf8_decode($text);

      $border = '';
      if ($configText[3]['borderleft'] <> '0')
         $border = $configText[3]['borderleft'];
      if ($configText[3]['bordertop'] <> '0')
         $border .= $configText[3]['bordertop'];
      if ($configText[3]['borderright'] <> '0')
         $border .= $configText[3]['borderright'];
      if ($configText[3]['borderbottom'] <> '0')
         $border .= $configText[3]['borderbottom'];

      $pdf->MultiCell($configText[3]['width'], str_replace(',', '.', $configText[3]['height']), $text, $border, $configText[3]['orientation'], FALSE);
   }
   if ($configText[4]['active'] == '1') {
      // Sales tax id ----------------------------------------------------------------------
      // Set font
      $pdf->SetFont($configText[4]['font'], '', str_replace(',', '.', $configText[4]['weight']));
      $pdf->SetLineWidth(str_replace(',', '.', $configText[4]['linewidth']));

      $pdf->SetXY(str_replace(',', '.', $configText[4]['left']), str_replace(',', '.', $configText[4]['top']));
      $text = $resultOrderer['orderer_customer_id'];
      $text = utf8_decode($text);

      $border = '';
      if ($configText[4]['borderleft'] <> '0')
         $border = $configText[4]['borderleft'];
      if ($configText[4]['bordertop'] <> '0')
         $border .= $configText[4]['bordertop'];
      if ($configText[4]['borderright'] <> '0')
         $border .= $configText[4]['borderright'];
      if ($configText[4]['borderbottom'] <> '0')
         $border .= $configText[4]['borderbottom'];

      $pdf->MultiCell($configText[4]['width'], str_replace(',', '.', $configText[4]['height']), $text, $border, $configText[4]['orientation'], FALSE);
   }
   if ($configText[5]['active'] == '1') {
      // Order date ------------------------------------------------------------------------
      // Set font
      $pdf->SetFont($configText[5]['font'], '', str_replace(',', '.', $configText[5]['weight']));
      $pdf->SetLineWidth(str_replace(',', '.', $configText[5]['linewidth']));

      $pdf->SetXY(str_replace(',', '.', $configText[5]['left']), str_replace(',', '.', $configText[5]['top']));
      $date = date_create($resultOrderer['orderer_order_date']);
      $text = date_format($date, 'd.m.y');
      $text = utf8_decode($text);

      $border = '';
      if ($configText[5]['borderleft'] <> '0')
         $border = $configText[5]['borderleft'];
      if ($configText[5]['bordertop'] <> '0')
         $border .= $configText[5]['bordertop'];
      if ($configText[5]['borderright'] <> '0')
         $border .= $configText[5]['borderright'];
      if ($configText[5]['borderbottom'] <> '0')
         $border .= $configText[5]['borderbottom'];

      $pdf->MultiCell($configText[5]['width'], str_replace(',', '.', $configText[5]['height']), $text, $border, $configText[5]['orientation'], FALSE);
   }
   if ($configText[6]['active'] == '1') {
      // Date ----- ------------------------------------------------------------------------
      // Set font
      $pdf->SetFont($configText[6]['font'], '', str_replace(',', '.', $configText[6]['weight']));
      $pdf->SetLineWidth(str_replace(',', '.', $configText[6]['linewidth']));

      $pdf->SetXY(str_replace(',', '.', $configText[6]['left']), str_replace(',', '.', $configText[6]['top']));
      $text = date("d.m.y");
      $text = utf8_decode($text);

      $border = '';
      if ($configText[6]['borderleft'] <> '0')
         $border = $configText[6]['borderleft'];
      if ($configText[6]['bordertop'] <> '0')
         $border .= $configText[6]['bordertop'];
      if ($configText[6]['borderright'] <> '0')
         $border .= $configText[6]['borderright'];
      if ($configText[6]['borderbottom'] <> '0')
         $border .= $configText[6]['borderbottom'];

      $pdf->MultiCell($configText[6]['width'], str_replace(',', '.', $configText[6]['height']), $text, $border, $configText[6]['orientation'], FALSE);
   }
   for ($i = 7; $i < count($configText); $i += 1) {
      if ($configText[$i]['active'] == '1') {
         // Date ----- ------------------------------------------------------------------------
         // Set font
         $pdf->SetFont($configText[$i]['font'], '', str_replace(',', '.', $configText[$i]['weight']));
         $pdf->SetLineWidth(str_replace(',', '.', $configText[6]['linewidth']));

         $pdf->SetXY(str_replace(',', '.', $configText[$i]['left']), str_replace(',', '.', $configText[$i]['top']));
         $text = $configText[$i]['text'];
         $text = utf8_decode($text);

         $border = '';
         if ($configText[$i]['borderleft'] <> '0')
            $border = $configText[$i]['borderleft'];
         if ($configText[$i]['bordertop'] <> '0')
            $border .= $configText[$i]['bordertop'];
         if ($configText[$i]['borderright'] <> '0')
            $border .= $configText[$i]['borderright'];
         if ($configText[$i]['borderbottom'] <> '0')
            $border .= $configText[$i]['borderbottom'];

         $pdf->MultiCell($configText[$i]['width'], str_replace(',', '.', $configText[$i]['height']), $text, $border, $configText[$i]['orientation'], FALSE);
      }
   }

// Product table ---------------------------------------------------------------------
   $pdf->SetFont($configPage['tfont'], '', str_replace(',', '.', $configPage['tweight']));
   $pdf->SetXY(str_replace(',', '.', $configPage['tleft']), str_replace(',', '.', $configPage['ttop']));

// create table
   $columns = array();
// Header colums ---------------------------------------------------------------------
   $col = array();
   $order = 1;

   while ($order <= 5):
      if ($configPage['number'] == $order)
         $col[] = array('text' => utf8_decode(_('Article-No.')), 'width' => $configPage['numberwidth'], 'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => $configPage['numberorientation'],
             'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0',
             'drawcolor' => '0, 0, 0','linewidth' => 0, 'linearea' => '');

      if ($configPage['description'] == $order)
         $col[] = array('text' => utf8_decode(_('Description')), 'width' => $configPage['descriptionwidth'], 'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => $configPage['descriptionorientation'],
             'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0',
             'drawcolor' => '0, 0, 0','linewidth' => 0, 'linearea' => '');

      if ($configPage['value'] == $order)
         $col[] = array('text' => utf8_decode(_('Number')), 'width' => $configPage['valuewidth'], 'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => $configPage['valueorientation'],
             'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
             'linewidth' => 0, 'linearea' => '');

      if ($configPage['sprice'] == $order)
         $col[] = array('text' => utf8_decode(_('Price')), 'width' => $configPage['spricewidth'], 'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => $configPage['tspriceorientation'],
             'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
             'linewidth' => 0, 'linearea' => '');

      if ($configPage['price'] == $order)
         $col[] = array('text' => utf8_decode(_('Amount in EUR')), 'width' => $configPage['pricewidth'], 'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => $configPage['priceorientation'],
             'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0',
             'drawcolor' => '0, 0, 0','linewidth' => 0, 'linearea' => '');
      $order += 1;
   endwhile;
   $columns[] = $col;

// Product list ----------------------------------------------------------------------
   $subtotal = 0;
   foreach ($resultOrder as $row) {
      $col = array();
      $order = 1;

      while ($order <= 5):
         if ($configPage['number'] == $order)
            $col[] = array('text' => utf8_decode($row['order_product_sku']), 'width' => $configPage['numberwidth'], 'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => $configPage['numberorientation'],
                'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0',
                'drawcolor' => '0, 0, 0','linewidth' => 0, 'linearea' => '');

         if ($configPage['description'] == $order)
            $col[] = array('text' => str_replace($breaks, "\n", str_replace("&nbsp;", " ", utf8_decode($row['order_product_name']))), 'width' => $configPage['descriptionwidth'], 'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => $configPage['descriptionorientation'],
                'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0',
                'drawcolor' => '0, 0, 0','linewidth' => 0, 'linearea' => '');

         if ($configPage['value'] == $order)
            $col[] = array('text' => utf8_decode($row['order_product_quantity']), 'width' => $configPage['valuewidth'], 'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => $configPage['valueorientation'],
                'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
                'linewidth' => 0, 'linearea' => '');

         if ($configPage['sprice'] == $order)
            $col[] = array('text' => utf8_decode(str_replace('.',',', $row['order_item_price']) . ' '), 'width' => $configPage['spricewidth'], 'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => $configPage['tspriceorientation'],
                'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
                'linewidth' => 0, 'linearea' => '');

         if ($configPage['price'] == $order)
            $col[] = array('text' => utf8_decode(number_format($row['order_total_price'], 2, ',', '.') . ' '), 'width' => $configPage['pricewidth'], 'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => $configPage['priceorientation'],
                'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0',
                'drawcolor' => '0, 0, 0','linewidth' => 0, 'linearea' => '');
         $order += 1;
      endwhile;

      $columns[] = $col;
      $subtotal = $subtotal + $row['order_total_price'];
   }

// Subtotal --------------------------------------------------------------------------
   $col = array();
   $col[] = array('text' => utf8_decode("   "), 'width' => ($configPage['numberwidth'] + $configPage['descriptionwidth']), 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
       'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
       'linewidth' => 0, 'linearea' => '');
   $col[] = array('text' => utf8_decode("Zwischensumme:"), 'width' => ($configPage['valuewidth'] + $configPage['spricewidth']), 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
       'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
       'linewidth' => 0, 'linearea' => '');
   $col[] = array('text' => utf8_decode(number_format($subtotal, 2, ',', '.') . ' '), 'width' => $configPage['pricewidth'], 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
       'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
       'linewidth' => 0, 'linearea' => '');
   $columns[] = $col;

// Shipping --------------------------------------------------------------------------
   $col = array();
   $col[] = array('text' => utf8_decode("   "), 'width' => ($configPage['numberwidth'] + $configPage['descriptionwidth']), 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
       'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
       'linewidth' => 0, 'linearea' => '');
   $col[] = array('text' => utf8_decode(_("Shipping costs:")), 'width' => ($configPage['valuewidth'] + $configPage['spricewidth']), 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
       'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
       'linewidth' => 0, 'linearea' => '');
   $col[] = array('text' => utf8_decode(number_format($resultOrderer['orderer_shipping_total'], 2, ',', '.') . ' '), 'width' => $configPage['pricewidth'], 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
       'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
       'linewidth' => 0, 'linearea' => '');
   $columns[] = $col;

// Total -----------------------------------------------------------------------------
   $col = array();
   $col[] = array('text' => utf8_decode("   "), 'width' => ($configPage['numberwidth'] + $configPage['descriptionwidth']), 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
       'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
       'linewidth' => 0, 'linearea' => '');
   $col[] = array('text' => utf8_decode(_("final sum:")), 'width' => ($configPage['valuewidth'] + $configPage['spricewidth']), 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
       'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
       'linewidth' => $configPage['border'], 'linearea' => 'T');
   $col[] = array('text' => utf8_decode(number_format(($resultOrderer['orderer_total']), 2, ',', '.') . ' '), 'width' => $configPage['pricewidth'], 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
       'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
       'linewidth' => $configPage['border'], 'linearea' => 'T');
   $columns[] = $col;

// Tax -------------------------------------------------------------------------------
   if ($configPage['tax'] == '1') {
      $col = array();
      $col[] = array('text' => utf8_decode("   "), 'width' => ($configPage['numberwidth'] + $configPage['descriptionwidth']), 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
          'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
          'linewidth' => 0, 'linearea' => '');
      $col[] = array('text' => utf8_decode(_("Tax:")), 'width' => ($configPage['valuewidth'] + $configPage['spricewidth']), 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
          'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
          'linewidth' => $configPage['border'], 'linearea' => 'TB');
      $col[] = array('text' => utf8_decode(number_format($resultOrderer['orderer_total_tax'], 2, ',', '.') . ' '), 'width' => $configPage['pricewidth'], 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
          'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
          'linewidth' => $configPage['border'], 'linearea' => 'TB');
      $columns[] = $col;

// Tax -------------------------------------------------------------------------------
      $col = array();
      $col[] = array('text' => utf8_decode("   "), 'width' => ($configPage['numberwidth'] + $configPage['descriptionwidth']), 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
          'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
          'linewidth' => 0, 'linearea' => '');
      $col[] = array('text' => utf8_decode("   "), 'width' => ($configPage['valuewidth'] + $configPage['spricewidth']), 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
          'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
          'linewidth' => $configPage['border'], 'linearea' => 'T');
      $col[] = array('text' => utf8_decode("   "), 'width' => $configPage['pricewidth'], 'height' => str_replace(',', '.', $configPage['rowheight']) + 0.5, 'align' => 'R',
          'font_name' => $configPage['tfont'], 'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255','textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0',
          'linewidth' => $configPage['border'], 'linearea' => 'T');
      $columns[] = $col;
   }

// Paymenttext and comments ----------------------------------------------------------
// Orderer comment
   if (!empty($resultOrderer['orderer_comment'])) {
      $col = array();
      $col[] = array('text' => strip_tags(str_replace($breaks, "", str_replace("&nbsp;", " ", utf8_decode(html_entity_decode($resultOrderer['orderer_comment']))))),
          'width' => ($configPage['numberwidth'] + $configPage['descriptionwidth'] + $configPage['valuewidth'] + $configPage['spricewidth'] + $configPage['pricewidth']),
          'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => 'L','font_name' => $configPage['tfont'],
          'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255',
          'textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0','linewidth' => 0, 'linearea' => '');
      $columns[] = $col;
   }

   db::getInstance()->where('payment_id', $resultOrderer['orderer_payment_id']);
   $result = db::getInstance()->getOne('payment');

// Payment
   $col = array();
   $col[] = array('text' => strip_tags(str_replace($breaks, "", str_replace("&nbsp;", " ", utf8_decode(html_entity_decode($result['payment_table']))))),
       'width' => ($configPage['numberwidth'] + $configPage['descriptionwidth'] + $configPage['valuewidth'] + $configPage['spricewidth'] + $configPage['pricewidth']),
       'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => 'L','font_name' => $configPage['tfont'],
       'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255',
       'textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0','linewidth' => 0, 'linearea' => '');
   $columns[] = $col;

// Shop comment
   if (!empty($resultOrderer['orderer_shop_comment'])) {
      $col = array();
      $col[] = array('text' => strip_tags(str_replace($breaks, "", str_replace("&nbsp;", " ", utf8_decode(html_entity_decode($resultOrderer['orderer_shop_comment']))))),
          'width' => ($configPage['numberwidth'] + $configPage['descriptionwidth'] + $configPage['valuewidth'] + $configPage['spricewidth'] + $configPage['pricewidth']),
          'height' => str_replace(',', '.', $configPage['rowheight']), 'align' => 'L','font_name' => $configPage['tfont'],
          'font_size' => $configPage['tweight'], 'font_style' => '','fillcolor' => '255, 255, 255',
          'textcolor' => '0, 0, 0','drawcolor' => '0, 0, 0','linewidth' => 0, 'linearea' => '');
      $columns[] = $col;
   }


// Draw Table   
   $pdf->WriteTable($columns);
   $pdf->Output('D');
}