<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * mail -> orderer
 * Overview to all orderer
 * used from orders.page.php
 * use orders.tpl.php
 *
 * @version    $Id: orders.page.table.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
$file = 'module/function/mail.pagination.func.php';
if (is_file($file))
   include $file;
$firstRec = (($_SESSION['orderListPage'] * ORDER_LIST) - ORDER_LIST);

$where = '';
if ($_SESSION ['unknown'] == TRUE)
   $where .= '0,';

if ($_SESSION ['confirmed'] == TRUE)
   $where .= '1,';

if ($_SESSION ['ships'] == TRUE)
   $where .= '2,';

if ($_SESSION ['paid'] == TRUE)
   $where .= '3,';

if ($_SESSION ['reklamtion'] == TRUE)
   $where .= '4,';

if ($_SESSION ['canceled'] == TRUE)
   $where .= '5,';

if ($_SESSION ['others'] == TRUE)
   $where .= '6,';

$where = 'WHERE orderer_order_status IN (' . 
        substr($where, 0, strlen($where) - 1) . ') ';

if (!empty($_SESSION ['fromDate']) and ! empty($_SESSION ['toDate']))
{
   $s = date('Y-m-d', strtotime($_SESSION ['fromDate']));

   if (!empty($where))
      $where .= "AND orderer_order_date BETWEEN '" . $s . "' ";
   else
      $where = "WHERE orderer_order_date BETWEEN '" . $s . "' ";

   $s = date('Y-m-d', strtotime($_SESSION ['toDate']));
   $where .= "AND '" . $s . "' ";
}

if ((!empty($_SESSION ['fromDate']) and empty($_SESSION ['toDate'])) or
        ( empty($_SESSION ['fromDate']) and ! empty($_SESSION ['toDate'])))
   message::setErrorRow(_('For date filtering, both values must be specified!'), true);

$result = db::getInstance()->rawQuery(
        'SELECT * FROM orderer' . SUFFIX . ' ' . $where .
        'ORDER BY orderer_order_date DESC ' .
        'LIMIT ' . $firstRec . ',' . ORDER_LIST);

if (db::getInstance()->count > 0)
{
   $status = array(_('Unknown'), _('Confirmed'), _('Ships'),
       _('Paid'), _('Reklamtion'), _('Canceled'), _('Others'));

   $refPage->assign('page_titel', _('Orderlist'));
   $refPage->assign('table_summary', _('List of incoming orders'));
   $refPage->assign('orderer_id', _('No.'));
   $refPage->assign('orderer_name', _('Orderername'));
   $refPage->assign('orderer_company', _('Company'));
   $refPage->assign('orderer_date', _('Date'));
   $refPage->assign('orderer_status', _('Status'));

   // Create table-array and html-code
   $data = array();
   getPagination($refPage, $entrys);

   foreach ($result as $row)
   {
      $orderer_namex = '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
              '&id=' . $row['orderer_order_id'] .
              '&func=list">' . $row['orderer_lastname'] . ', ' . $row['orderer_firstname'] . '</a>';

      $data[] = array('orderer_idx' => $row['orderer_order_id'],
          'orderer_namex' => $orderer_namex,
          'orderer_companyx' => $row['orderer_company'],
          'orderer_datex' => substr($row['orderer_order_date'], 8, 2) . '.' .
          substr($row['orderer_order_date'], 5, 2) . '.' .
          substr($row['orderer_order_date'], 2, 2),
          'orderer_statusx' => $status[$row['orderer_order_status']]);
      $refPage->assign('data', $data);
   }

   $value = '';
   $refPage->assign('from', _('From Date') . ':');
   (!empty($_SESSION ['fromDate'])) ? $value = $_SESSION ['fromDate'] : $value = '';
   $refPage->assign('fromx', '<input type="text" name="fromDate" class="tcal" value="' . $value . '" />');

   $refPage->assign('to', _('to Date') . ':');
   (!empty($_SESSION ['toDate'])) ? $value = $_SESSION ['toDate'] : $value = '';
   $refPage->assign('tox', '<input type="text" name="toDate" class="tcal" value="' . $value . '" />');

   $refPage->assign('filterTop', _('Filteroptions to show and print') . ':');
   $refPage->assign('filterStatus', _('Show invoices with the following status') . ':');

   ($_SESSION ['unknown'] == TRUE) ? $checked = 'checked' : $checked = '';
   $refPage->assign('unknownx', '<label>' . _('Unknown') . ' <input type="checkbox" name="unknown" '
           . 'value="unknown" ' . $checked . '></label>');

   ($_SESSION ['confirmed'] == TRUE) ? $checked = 'checked' : $checked = '';
   $refPage->assign('confirmedx', '<label>' . _('Confirmed') . ' <input type="checkbox" name="confirmed" '
           . 'value="confirmed" ' . $checked . '></label>');

   ($_SESSION ['ships'] == TRUE) ? $checked = 'checked' : $checked = '';
   $refPage->assign('shipsx', '<label>' . _('Ships') . ' <input type="checkbox" name="ships" '
           . 'value="ships" ' . $checked . '></label>');

   ($_SESSION ['paid'] == TRUE) ? $checked = 'checked' : $checked = '';
   $refPage->assign('paidx', '<label>' . _('Paid') . ' <input type="checkbox" name="paid" '
           . 'value="paid" ' . $checked . '></label>');

   ($_SESSION ['reklamtion'] == TRUE) ? $checked = 'checked' : $checked = '';
   $refPage->assign('reklamtionx', '<label>' . _('Reklamtion') . ' <input type="checkbox" name="reklamtion" '
           . 'value="reklamtion" ' . $checked . '></label>');

   ($_SESSION ['canceled'] == TRUE) ? $checked = 'checked' : $checked = '';
   $refPage->assign('canceledx', '<label>' . _('Canceled') . ' <input type="checkbox" name="canceled" '
           . 'value="canceled" ' . $checked . '></label>');

   ($_SESSION ['others'] == TRUE) ? $checked = 'checked' : $checked = '';
   $refPage->assign('othersx', '<label>' . _('Others') . ' <input type="checkbox" name="others" '
           . 'value="others" ' . $checked . '></label>');

   $refPage->assign('scripts', '<link rel="stylesheet" type="text/css" href="' .
           TEMPLATE_PATH . '/css/tcal.css" />' .
           '<script type="text/javascript" src="language/' .
           LANGUAGE . '/tcal.language.js"></script>' .
           '<script type="text/javascript" src="' .
           'module/js/tcal.js"></script>');

   $refPage->assign('btnPrint', '<input type="submit" name="submit" id="print" value="' .
           _('Print shown list') . '" />');
   $refPage->assign('btnFilter', '<input type="submit" name="submit" id="filter" value="' .
           _('Refresh view') . '" />');
   $refPage->assign('btnAll', '<input type="submit" name="submit" id="all" value="' .
           _('List all') . '" />');

   $refPage->assign('ordererPageHelp', help('orderer', $page, TRUE));
   $refPage->addtpl('content', '/' . $page . '/' . $subpage . '.tpl.php');
}