<?php
if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for page->pages->Editor
 * used from pages.page.editor.php
 * 
 * @version    $Id: pages.editor.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h2>{pageTitle}</h2>

<div class="form">
   <form action="{formStart}" method="post" class="niceform fieldset" enctype="multipart/form-data">
      <fieldset>
         <!-- Tab 1 ************************************************************-->
            <dl>
               <dt>{id}</dt>
               <dd>{idx}</dd>
            </dl>

            <dl>
               <dt><label for="namex">{name}</label></dt>
               <dd>
                  {namex}
                  {pagesNameHelp}
               </dd>
            </dl>

            <dl>
               <dt><label for="pagecategoryx">{pagecategory}</label></dt>
               <dd>
                  {pagecategoryx}
                  {pageCategoryHelp}
               </dd>
            </dl>

            <dl>
               <dt><label for="activex">{active}</label></dt>
               <dd>
                  <table id="table_article_active">
                     <tbody>
                        <tr>
                           <td>{active_0}</td>
                           <!-- IF active_1 -->
                           <td>{active_1}</td>
                           <!-- ENDIF active_1 -->
                           <!-- IF active_2 -->
                           <td>{active_2}</td>
                           <!-- ENDIF active_2 -->
                           <!-- IF active_3 -->
                           <td>{active_3}</td>
                           <!-- ENDIF active_3 -->
                           <!-- IF active_4 -->
                           <td>{active_4}</td>
                           <!-- ENDIF active_4 -->
                           <!-- IF active_5 -->
                           <td>{active_5}</td>
                           <!-- ENDIF active_5 -->
                           <td rowspan="2">
                              {pagesActiveHelp}
                           </td>
                        </tr>
                        <tr>
                           <td>{activex_0}</td>
                           <!-- IF activex_1 -->
                           <td>{activex_1}</td>
                           <!-- ENDIF activex_1 -->
                           <!-- IF activex_2 -->
                           <td>{activex_2}</td>
                           <!-- ENDIF activex_2 -->
                           <!-- IF activex_3 -->
                           <td>{activex_3}</td>
                           <!-- ENDIF activex_3 -->
                           <!-- IF activex_4 -->
                           <td>{activex_4}</td>
                           <!-- ENDIF activex_4 -->
                           <!-- IF activex_5 -->
                           <td>{activex_5}</td>
                           <!-- ENDIF activex_5 -->
                        </tr>
                     </tbody>
                  </table>

               </dd>
            </dl>

            <dl>
               <dt><label for="browsepagex">{browsepage}</label></dt>
               <dd>
                  <select style="width:350px;" size="1" name="browsepagex" id="browsepagex">
                     <!-- BEGIN browsepages -->
                     <option value="{browsepage_nrx}" {checkedx}>{browsepage_textx}</option>
                     <!-- END browsepages -->
                  </select>
                  {pagesBrowsepageHelp}
               </dd>
            </dl>

            <dl>
               <dt><label for="textx">{text}</label></dt>
               <dd>
                  {textx}<br>
                  {pagesTextHelp}
               </dd>
            </dl>

            
         
         <dl>
               <dt><label for="imagex">{image}</label></dt>
               <dd>
                  {imagex}<br>
                  <div class="notes">
                     {imageNote}<br>
                     {imageName}
                  </div>
                  {pagesImageHelp}
               </dd>
            </dl>

            <dl>
               <dt></dt>
               <dd>
                  {imagey}
               </dd>
            </dl> 

            <dl>
               <dt><label for="imageAltx">{imageAlt}</label></dt>
               <dd><input type="text" name="imageAltx" id="imageAltx" size="100" value="{imageAltx}" />
                  {imageAltxHelp}</dd>
            </dl>

            <dl>
               <dt><label for="imageTitlex">{imageTitle}</label></dt>
               <dd><input type="text" name="imageTitlex" id="imageTitlex" size="100" value="{imageTitlex}" />
                  {imageTitlexHelp}</dd>
            </dl>

            <br><br><br>

                     <dl>
               <dt><label for="titlex">{title}</label></dt>
               <dd>{titlex}
                  <br><br><br>{titleNumber}
                  {titleHelp}
               </dd>
            </dl>

            <dl>
               <dt><label for="metadescriptionx">{metadescription}</label></dt>
               <dd>{metadescriptionx}
                  <br><br><br>{descriptionNumber}
                  {pagesMetadescriptionHelp}
               </dd>
            </dl>

            <dl>
               <dt><label for="metakeyx">{metakey}</label></dt>
               <dd>{metakeyx}
                  <br><br><br>{keywordNumber}
                  {pagesMetakeyHelp}
               </dd>
            </dl>
        
            <dl>
               <dt><label for="createx">{create}</label></dt>
               <dd>{createx}</dd>
            </dl>

            <dl>
               <dt><label for="lastChangex">{lastChange}</label></dt>
               <dd>{lastChangex}</dd>
            </dl>
 
         <dl class="submit">
            {btnSave}
            {btnRefresh}
            {btnAbort}
         </dl>
            <dl>
               <dt></dt>
               <dd> 
                  {textHelp}
               </dd>
            </dl>
      </fieldset>
   </form>
   <script language="JavaScript">
      <!-- 
      window.onDomReady(onReady);
-->
   </script>
</div>
<script type="text/javascript" src="{tpl_js}ckeditor.article.js"></script>	
   <script type="text/javascript">
      function validate_editor() {
         // To solve the error of using Ckeditor with jqury validation
         CKEDITOR.instances.content.updateElement();
      }
</script>