<?php
if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for Article->Category->Editor
 *
 * @version    $Id: category.editor.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{page_title}</h2>
<div class="form">
	{Form_Start}
	<dl>
		<dt>{id}</dt>
		<dd>{idx}</dd>
	</dl>

	<dl>
		<dt><label for="namex">{name}</label></dt>
		<dd><input type="text" name="namex" id="namex" size="55" value="{namex}" />
			{namexHelp}</dd>
	</dl>

	<dl>
		<dt><label for="activex">{active}</label></dt>
		<dd>
			<table id="table_article_active">
				<tbody>
					<tr>
						<td>{active_0}</td>
						<!-- IF active_1 -->
						<td>{active_1}</td>
						<!-- ENDIF active_1 -->
						<!-- IF active_2 -->
						<td>{active_2}</td>
						<!-- ENDIF active_2 -->
						<td rowspan="2">
							{categoryActiveHelp}
						</td>
					</tr>
					<tr>
						<td>{activex_0}</td>
						<!-- IF activex_1 -->
						<td>{activex_1}</td>
						<!-- ENDIF activex_1 -->
						<!-- IF activex_2 -->
						<td>{activex_2}</td>
						<!-- ENDIF activex_2 -->
					</tr>
				</tbody>
			</table>

		</dd>
	</dl>

	<dl>
		<dt><label for="topx">{categoryTop}</label></dt>
		<dd>
			<select style="width:400px;" size="1" name="topx" id="topx">
				<!-- BEGIN categoryTops -->
				<option value="{top_nrx}" {checkedx}>{top_textx}</option>
				<!-- END categoryTops -->
			</select>
			{categoryTopxHelp}
		</dd>
	</dl>

	<dl>
		<dt><label for="browsepagex">{browsepage}</label></dt>
		<dd>
			<select style="width:400px;" size="1" name="browsepagex" id="browsepagex">
				<!-- BEGIN browsepages -->
				<option value="{browsepage_nrx}" {checkedx}>{browsepage_textx}</option>
				<!-- END browsepages -->
			</select>
			{browsepagexHelp}
		</dd>
	</dl>

	<dl>
		<dt><label for="browsepagex">{text}</label></dt>
		<dd>
			<textarea style="visibility: hidden; display: none;" class="ckeditor" name="textx" id="textx" 
						 rows="25" cols="56">{descriptionx}</textarea>
		</dd>
	</dl>

	<dl>
		<dt><label for="imagex">{image}</label></dt>
		<dd>{imagex}<br>
			<div class="notes">{imageNote}<br>{imageName}</div></dd>
	</dl>
	<dl>
		<dt></dt>
		<dd>{imagey}{imagexHelp}</dd>
	</dl> 
	<br><br><br>
	<dl>
		<dt><label for="thumbImagex">{thumbImage}</label></dt>
		<dd>{thumbImagex}<br>
			<div class="notes">{thumbImageNote}<br>{thumbImageName}</div></dd>
	</dl>

	<dl>
		<dt></dt>
		<dd>{thumbImagey}{thumbImageyHelp}</dd>
	</dl>

	<dl>
		<dt><label for="toshowx">{toshow}</label></dt>
		<dd><input type="text" name="toshowx" id="toshowx" size="3" value="{toshowx}" />
			{toShowxHelp}</dd>
	</dl>

	<dl>
		<dt><label for="metadescription">{metadescription}</label></dt>
		<dd><input type="text" name="metadescription" id="metadescription" size="54"
					  {metadescriptionNo} value="{metadescriptionx}"/>
			<br><br><br>{descriptionNumber}
			{metadescriptionxHelp}</dd>
	</dl>

	<dl>
		<dt><label for="metakeyword">{metakeyword}</label></dt>
		<dd><input type="text" name="metakeyword" id="metakeyword" size="54" 
					  {metakeywordNo} value="{metakeywordx}"/>
			<br><br><br>{keywordNumber}
			{metakeywordxHelp}</dd>
	</dl>

	<dl>
		<dt>{create}</dt>
		<dd>{createx}</dd>
	</dl>

	<dl>
		<dt>{lastchange}</dt>
		<dd>{lastchangex}</dd>
	</dl>

	<dl class="submit">
		{btnRefresh}
		{btnSave}
		{btnAbort}
	</dl>

	<dl>
		<dt></dt>
		<dd> 
			{textHelp}
		</dd>
	</dl>
	{Form_End}
</div>
<script type="text/javascript" src="{tpl_js}ckeditor.category.js"></script>	
<script type="text/javascript">
	function validate_editor() {
// To solve the error of using Ckeditor with jqury validation
		CKEDITOR.instances.content.updateElement();
	}
</script>