<?php

/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Create and output the page 
 * 
 * @since 0.0.5
 * @version 0.1.3
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2012
 * @license GPL3
 * @category frontend
 * @package template
 * @subpackage template
 * $Rev: 29 $
 * $Date: 2018-08-13 12:19:28 +0200 (Mo, 13. Aug 2018) $
 * $Author: norbert-neo $
 * $URL: https://svn.code.sf.net/p/tobbivm/code/trunk/index.php $
 */
//install

if (is_file('admin/.htpasswd') && is_file('install/index.php'))
{
   include_once('install/config.class.php');
   $config = new config();
   config::delete();
   header('Location:index.php');
}

if (is_file('install/index.php'))
   header('Location:install/index.php');

//install

header("X-XSS-Protection: 1");
ini_set('session.cookie_httponly', 1);
ini_set('session.use_trans_sid', '0');
// Start Session
session_name("customer");
session_start();
if (!isset($_SESSION['Testuser']))
   $_SESSION['Testuser'] = FALSE;

define('TOBBIVM', 1);
require_once('config.php');
date_default_timezone_set(PHP_TIMEZONE);

// SEO-optimizing class
include_once('module/class/seo.class.php');
$seo = new seo;

// Filter-Class
include_once('module/class/filter.class.php');
$filter = new filter;

// Settings for called domain = shop  ["HTTP_HOST"]
//var_dump($_SERVER);quit;
// Setting Language
include_once('module/class/language.class.php');
$language = new language('main', './language', LANGUAGE);

// Init plugin-class
include_once('module/class/xplugin.class.php');
$xplugin = new xplugin();

include_once('module/class/validate.class.php');
$validate = new validate;

include_once 'module/login/login.php';

include_once('module/class/placeholder.class.php');
$placeholder = new placeholder;

// load Templateengine
include_once('module/quickskin/_lib/class.quickskin.php');

// load Messageengine
include_once('module/class/message.class.php');
$message = new message();

// Init Connection to Database with prepared Statements
include_once('module/database/MysqliDb.php');
$db = new db(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);
/**
 * @todo db::getInstance()->setPrefix(DB_PREFIX);
 */
// setting Domain
textdomain("main");
// Translate-File must be in ./language/$language/LC_MESSAGES/main.mo
// Make sure that the SID has been assigned by the server
// to make a possible session fixation attack ineffective

if (!isset($_SESSION['server_SIDx']) or ! isset($_SESSION['cartIdx']))
{
   // Clear session
   session_unset();
   // Definitely go all the contents of the session are deleted
   $_SESSION = array();
   // New server-generated session ID
   session_regenerate_id();
   // hold status
   $_SESSION['server_SIDx'] = true;
   $_SESSION['activex'] = false;
   $_SESSION['levelx'] = 0;
   $login = false;
   $update = false;
   $_SESSION['cartIdx'] = md5(session_id());
}
if (!isset($_SESSION['customernamex']))
   $_SESSION['customernamex'] = '';

// include shopping-cart
include_once 'module/class/cart.class.php';
$cart = new cart(CURRENCY);
// Logout user
if (isset($_POST['logout']))
   resetUser();

// init pagepointer-class
include_once 'module/class/pagepointer.class.php';
$pagepointer = new pagepointer();

// Init and load plugin-setups
//include_once 'module/class/plugin.class.php';
//$plugin = new plugin();
// Call Startpage
$page = new QuickSkin('index.tpl.php');
include_once 'module/login/login.mod.php';
include_once 'module/login/login.php';
include_once('module/core.php');

// Config the Templateengine
$page->set('template_dir', TEMPLATE_PATH . '/');
$page->set('temp_dir', 'tmp/');
$page->set('cache_dir', 'tmp/');
$page->set('cache_lifetime', 1);
// Image-Path
$page->assign('tpl_img', TEMPLATE_PATH . '/images/');
$page->assign('url_img', URL . '/' . TEMPLATE_PATH . '/images/');
// Template Javascript-Path
$page->assign('tpl_js', TEMPLATE_PATH . '/js/');
$page->assign('url_js', URL . '/' . TEMPLATE_PATH . '/js/');
// Template CSS-Path
$page->assign('tpl_css', TEMPLATE_PATH . '/css/');
$page->assign('url_css', URL . '/' . TEMPLATE_PATH . '/css/');

$page->assign('formStartFind', 'index.php?page=find');

// Global placeholder for functions
$page->assign('canonical', CANONICAL_URL . $_SERVER["REQUEST_URI"]);

$page->output();

pagepointer::setCurrentPage();
