<?php

/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Datei: config.class.php
 *
 * Create the db, config-files and htaccess (htpasswd)
 * 
 * @since 0.1.2
 * @version 0.1.2
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2018
 * @license GPL3
 * @category install
 * @package install
 * @subpackage install
 * $Rev: 29 $
 * $Date: 2018-08-13 12:19:28 +0200 (Mo, 13. Aug 2018) $
 * $Author: norbert-neo $
 * $URL: https://svn.code.sf.net/p/tobbivm/code/trunk/install/config.class.php $
 */
class config
{

   /**
    * Initializes the session-array 
    */
   function __construct() {
      if (!isset($_SESSION['url_0']))
         $_SESSION['url_0'] = '';
      if (!isset($_SESSION['url_1']))
         $_SESSION['url_1'] = '';
      if (!isset($_SESSION['url_2']))
         $_SESSION['url_2'] = '';
      if (!isset($_SESSION['url_3']))
         $_SESSION['url_3'] = '';
      if (!isset($_SESSION['url_4']))
         $_SESSION['url_4'] = '';
      if (!isset($_SESSION['url_5']))
         $_SESSION['url_5'] = '';
      if (!isset($_SESSION['url']))
         $_SESSION['url'] = '';

      if (!isset($_SESSION['template']))
         $_SESSION['template'] = '';

      if (!isset($_SESSION['dbname']))
         $_SESSION['dbname'] = '';
      if (!isset($_SESSION['dbHost']))
         $_SESSION['dbHost'] = '';
      if (!isset($_SESSION['dbUser']))
         $_SESSION['dbUser'] = '';
      if (!isset($_SESSION['dbPassword']))
         $_SESSION['dbPassword'] = '';
      if (!isset($_SESSION['adminMail']))
         $_SESSION['adminMail'] = '';
      if (!isset($_SESSION['testshopper']))
         $_SESSION['testshopper'] = '';
      if (!isset($_SESSION['http_s']))
         $_SESSION['http_s'] = '';
      /*       * ------------------------------------------------- */
      if (!isset($_SESSION['shortUrl']))
         $_SESSION['shortUrl'] = '';
      if (!isset($_SESSION['canonicalUrl']))
         $_SESSION['canonicalUrl'] = '';

      if (!isset($_SESSION['mailHost']))
         $_SESSION['mailHost'] = '';
      if (!isset($_SESSION['mailUser']))
         $_SESSION['mailUser'] = '';
      if (!isset($_SESSION['mailPassword']))
         $_SESSION['mailPassword'] = '';
      if (!isset($_SESSION['mailPort']))
         $_SESSION['mailPort'] = '587';
      if (!isset($_SESSION['mailAuth']))
         $_SESSION['mailAuth'] = '1';
      if (!isset($_SESSION['mailSenderAdress']))
         $_SESSION['mailSenderAdress'] = '';
      if (!isset($_SESSION['mailSenderName']))
         $_SESSION['mailSenderName'] = '';
      if (!isset($_SESSION['mailSendRevo']))
         $_SESSION['mailSendRevo'] = '';
      if (!isset($_SESSION['mailSendTerms']))
         $_SESSION['mailSendTerms'] = '';
      if (!isset($_SESSION['mailToCustomer']))
         $_SESSION['mailToCustomer'] = '';
      /*       * ------------------------------------------------- */
      if (!isset($_SESSION['compName']))
         $_SESSION['compName'] = '';
      if (!isset($_SESSION['compStreet']))
         $_SESSION['compStreet'] = '';
      if (!isset($_SESSION['compCity']))
         $_SESSION['compCity'] = '';
      if (!isset($_SESSION['compIntPhone']))
         $_SESSION['compIntPhone'] = '';
      if (!isset($_SESSION['compPhone']))
         $_SESSION['compPhone'] = '';
      if (!isset($_SESSION['compFax']))
         $_SESSION['compFax'] = '';
      if (!isset($_SESSION['compMail']))
         $_SESSION['compMail'] = '';
      /*       * ------------------------------------------------- */
      if (!isset($_SESSION['titel']))
         $_SESSION['titel'] = '';
      if (!isset($_SESSION['Metadescription']))
         $_SESSION['Metadescription'] = '';
      if (!isset($_SESSION['generator']))
         $_SESSION['generator'] = '';
      /*       * ------------------------------------------------- */
      if (!isset($_SESSION['logCompany']))
         $_SESSION['logCompany'] = '1';
      if (!isset($_SESSION['logFirstname']))
         $_SESSION['logFirstname'] = '2';
      if (!isset($_SESSION['logLastname']))
         $_SESSION['logLastname'] = '2';
      if (!isset($_SESSION['logStreet']))
         $_SESSION['logStreet'] = '2';
      if (!isset($_SESSION['logZipcode']))
         $_SESSION['logZipcode'] = '2';
      if (!isset($_SESSION['logCity']))
         $_SESSION['logCity'] = '2';
      if (!isset($_SESSION['logCountry']))
         $_SESSION['logCountry'] = '2';
      if (!isset($_SESSION['logState']))
         $_SESSION['logState'] = '0';
      if (!isset($_SESSION['logPhone']))
         $_SESSION['logPhone'] = '2';
      if (!isset($_SESSION['logFax']))
         $_SESSION['logFax'] = '1';
      if (!isset($_SESSION['logMobile']))
         $_SESSION['logMobile'] = '1';
      if (!isset($_SESSION['logMail']))
         $_SESSION['logMail'] = '2';
      /*       * ------------------------------------------------- */
      if (!isset($_SESSION['suffix']))
         $_SESSION['suffix'] = '';
   }

   /**
    * create database
    * @return string html-string
    */
   public static function createDatabase() {
      // Name of the file
      $filename = 'config/tobbivm.' . VERSION . '.sql';
      // MySQL host
      $mysql_host = $_SESSION['dbHost'];
      // MySQL username
      $mysql_username = $_SESSION['dbUser'];
      // MySQL password
      $mysql_password = $_SESSION['dbPassword'];
      // Database name
      $mysql_database = $_SESSION['dbname'];

      // Connect to MySQL server
      $link = mysqli_connect($mysql_host, $mysql_username, $mysql_password, $mysql_database) or die('Error connecting to MySQL server: ' . mysql_error());

      // Temporary variable, used to store current query
      $templine = '';
      // Read in entire file
      $lines = file($filename);
      // Loop through each line
      foreach ($lines as $line)
      {
         // Skip it if it's a comment
         if (substr($line, 0, 2) == '--' || $line == '')
            continue;

         // Add this line to the current segment
         $templine .= $line;
         // If it has a semicolon at the end, it's the end of the query
         if (substr(trim($line), -1, 1) == ';')
         {
            // Perform the query
            mysqli_query($link, $templine);
            // Reset temp variable to empty
            $templine = '';
         }
      }
      return '<h2 class="ok">Datenbank erfolgreich erstellt</h2>';
   }

   /**
    * create config.php in frontend
    * @return string html-string
    */
   public static function createFrontConfig() {
      $config = ['{url_0}',
          '{url_1}',
          '{url_2}',
          '{url_3}',
          '{url_4}',
          '{url_5}',
          '{url}',
          '{dbName}',
          '{dbHost}',
          '{dbUser}',
          '{dbPassword}',
          '{adminMail}',
          '{testshopper}',
          '{http_s}'];
      if (buffer::getOptionL('http_s') == 'TRUE')
         $http_s = 'https://';
      else
         $http_s = 'http://';
      $url_1 = $http_s . $_SESSION['url_0'];

      $values = [$url_1,
          '',
          '',
          '',
          '',
          '',
          $url_1,
          $_SESSION['dbname'],
          $_SESSION['dbHost'],
          $_SESSION['dbUser'],
          $_SESSION['dbPassword'],
          $_SESSION['adminMail'],
          $_SESSION['testshopper'],
          $http_s];

      $text = str_replace($config, $values, file_get_contents('config/config.front'));
      if (file_exists('../config.php'))
         chmod('../config.php', 0644);
      if (file_put_contents('../config.php', $text) === FALSE)
      {
         return '<h2 class="notok">Datei config.php konnte nicht erstellt werden</h2>';
      }
      else
      {
         chmod('../config.php', 0444);
         return '<h2 class="ok">Datei config.php erfolgreich erstellt</h2>';
      }
   }

   /**
    * create config_0.php in frontend
    * @return string html-string
    */
   public static function createFrontConfig0() {
      $config = ['{shortUrl}',
          '{canonicalUrl}',
          '{mailHost}',
          '{mailUser}',
          '{mailPassword}',
          '{mailPort}',
          '{mailAuth}',
          '{mailSenderAdress}',
          '{mailSenderName}',
          '{mailSendRevo}',
          '{mailSendTerms}',
          '{mailToCustomer}',
          '{compName}',
          '{compStreet}',
          '{compCity}',
          '{compIntPhone}',
          '{compPhone}',
          '{compFax}',
          '{compMail}',
          '{titel}',
          '{Metadescription}',
          '{generator}',
          '{logCompany}',
          '{logFirstname}',
          '{logLastname}',
          '{logStreet}',
          '{logZipcode}',
          '{logCity}',
          '{logCountry}',
          '{logState}',
          '{logPhone}',
          '{logFax}',
          '{logMobile}',
          '{logMail}',
          '{suffix}'];

      $values = [$_SESSION['shortUrl'],
          $_SESSION['canonicalUrl'],
          $_SESSION['mailHost'],
          $_SESSION['mailUser'],
          $_SESSION['mailPassword'],
          $_SESSION['mailPort'],
          buffer::getOptionL('mailAuth'),
          $_SESSION['mailSenderAdress'],
          $_SESSION['mailSenderName'],
          buffer::getOptionL('mailSendRevo'),
          buffer::getOptionL('mailSendTerms'),
          buffer::getOptionL('mailToCustomer'),
          $_SESSION['compName'],
          $_SESSION['compStreet'],
          $_SESSION['compCity'],
          $_SESSION['compIntPhone'],
          $_SESSION['compPhone'],
          $_SESSION['compFax'],
          $_SESSION['compMail'],
          $_SESSION['titel'],
          $_SESSION['Metadescription'],
          $_SESSION['generator'],
          $_SESSION['logCompany'],
          $_SESSION['logFirstname'],
          $_SESSION['logLastname'],
          $_SESSION['logStreet'],
          $_SESSION['logZipcode'],
          $_SESSION['logCity'],
          $_SESSION['logCountry'],
          $_SESSION['logState'],
          $_SESSION['logPhone'],
          $_SESSION['logFax'],
          $_SESSION['logMobile'],
          $_SESSION['logMail'],
          $_SESSION['suffix']];

      $text = str_replace($config, $values, file_get_contents('config/config_0.front'));
      if (file_exists('../config_0.php'))
         chmod('../config_0.php', 0644);
      if (file_put_contents('../config_0.php', $text) === FALSE)
      {
         return '<h2 class="notok">Datei config_0.php konnte nicht erstellt werden</h2>';
      }
      else
      {
         chmod('../config_0.php', 0444);
         return '<h2 class="ok">Datei config_0.php erfolgreich erstellt</h2>';
      }
   }

   /**
    * create .htaccess in frontend
    * @return string html-string
    */
   public static function createFrontHtaccess() {
      $config = ['{Surl}', '{Url}'];

      if (buffer::getOptionL('http_s') == 'TRUE')
         $http_s = 'https://';
      else
         $http_s = 'http://';
      $url = $http_s . $_SESSION['url_0'];
      $surl = substr($_SESSION['url_0'], (strpos($_SESSION['url_0'], '.') + 1));

      $values = [$surl, $url];

      $text = str_replace($config, $values, file_get_contents('config/frontend.htaccess'));

      if (file_put_contents('../.htaccess', $text) === FALSE)
         return '<h2 class="notok">Datei .htaccess konnte nicht erstellt werden</h2>';
      else
         return '<h2 class="ok">Datei .htaccess erfolgreich erstellt</h2>';
   }

   /**
    * create config.php in backend
    * @return string html-string
    */
   public static function createBackConfig() {
      $config = ['{url_0}',
          '{url_1}',
          '{url_2}',
          '{url_3}',
          '{url_4}',
          '{url_5}',
          '{shortUrl_0}',
          '{shortUrl_1}',
          '{shortUrl_2}',
          '{shortUrl_3}',
          '{shortUrl_4}',
          '{shortUrl_5}',
          '{dbName}',
          '{dbHost}',
          '{dbUser}',
          '{dbPassword}',
          '{http_s}'];
      if (buffer::getOptionL('http_s') == 'TRUE')
         $http_s = 'https://';
      else
         $http_s = 'http://';
      $url_1 = $http_s . $_SESSION['url_0'];

      $values = [$url_1,
          '',
          '',
          '',
          '',
          '',
          $_SESSION['shortUrl'],
          '',
          '',
          '',
          '',
          '',
          $_SESSION['dbname'],
          $_SESSION['dbHost'],
          $_SESSION['dbUser'],
          $_SESSION['dbPassword'],
          $http_s];

      $text = file_get_contents('config/config.back');
      $text = str_replace($config, $values, $text);
      if (file_exists('../admin/config.php'))
         chmod('../admin/config.php', 0644);
      if (file_put_contents('../admin/config.php', $text) === FALSE)
      {
         return '<h2 class="notok">Datei config.php konnte nicht erstellt werden</h2>';
      }
      else
      {
         chmod('../admin/config.php', 0444);
         return '<h2 class="ok">Datei config.php (Backend) erfolgreich erstellt</h2>';
      }
   }

   /**
    * create config_0.php in backend
    * @return string html-string
    */
   public static function createBackConfig0() {
      $config = ['{mailHost}',
          '{mailUser}',
          '{mailPassword}',
          '{mailPort}',
          '{mailAuth}',
          '{mailSenderAdress}',
          '{mailSenderName}',
          '{mailSendRevo}',
          '{mailSendTerms}',
          '{mailReciver}',
          '{mailOrderName}',
          '{suffix}'];

      $values = [$_SESSION['mailHost'],
          $_SESSION['mailUser'],
          $_SESSION['mailPassword'],
          $_SESSION['mailPort'],
          buffer::getOptionL('mailAuth'),
          $_SESSION['mailSenderAdress'],
          $_SESSION['mailSenderName'],
          buffer::getOptionL('mailSendRevo'),
          buffer::getOptionL('mailSendTerms'),
          $_SESSION['adminMail'],
          $_SESSION['url_0'],
          $_SESSION['suffix']];

      $text = str_replace($config, $values, file_get_contents('config/config_0.back'));
      if (file_exists('../admin/config_0.php'))
         chmod('../admin/config_0.php', 0644);
      if (file_put_contents('../admin/config_0.php', $text) === FALSE)
      {
         return '<h2 class="notok">Datei config_0.php (Backend) konnte nicht erstellt werden</h2>';
      }
      else
      {
         chmod('../admin/config_0.php', 0444);
         return '<h2 class="ok">Datei config_0.php (Backend) erfolgreich erstellt</h2>';
      }
   }

   /**
    * set Template
    * @return string html-string
    */
   public static function setTemplateFront() {
      self::_rrmdir('../admin/template_1');
      switch ($_SESSION['template'])
      {
         case 0:
            self::_rrmdir('../template_1');
            break;
         case 1:
            self::_rrmdir('../template');
            rename('../template_1', '../template');
            break;
         default:
            return '<h2 class="notok">Gew&auml;hltes Template konnte nicht gesetzt werden</h2>';
            break;
      }
      return '<h2 class="ok">Gew&auml;hltes Template erfolgreich eingestellt</h2>';
   }

   /**
    * Delete the install-dirs
    */
   
   static public function delete() {
      self::_rrmdir('install');
      
      $text = file_get_contents('../index.php');
      $parts = explode('//install', $text);
      $newText = $parts[0] . $parts[2];
      
      if (file_exists('index.php'))
         chmod('../index.php', 0644);
      file_put_contents('../index.php', $text);
      header('Location:index.php');      
   }

   /**
    * Delete a given dir inclusive files
    * @param string $src dirname/path
    */
   static private function _rrmdir($src) {
      $dir = opendir($src);
      while (false !== ( $file = readdir($dir)))
      {
         if (( $file != '.' ) && ( $file != '..' ))
         {
            $full = $src . '/' . $file;
            if (is_dir($full))
            {
               self::_rrmdir($full);
            }
            else
            {
               unlink($full);
            }
         }
      }
      closedir($dir);
      rmdir($src);
   }

   /**
    * create htaccess-file for backend
    * @return string html-string
    */
   public static function createHtaccess() {
      $config = ['{name}',
          '{path}'];

      $values = [('Administrationsbereich von ' . $_SERVER['HTTP_HOST']),
          $_SERVER["DOCUMENT_ROOT"] . '/admin'];

      $text = str_replace($config, $values, file_get_contents('config/admin.htaccess'));
      $text = str_replace('install', 'admin/.htpasswd', $text);

      if (file_exists('../admin/.htaccess'))
         chmod('../admin/.htaccess', 0644);

      if (file_put_contents('../admin/.htaccess', $text) === FALSE)
      {
         return '<h2 class="notok">Datei .htaccess (Backend) konnte nicht erstellt werden</h2>';
      }
      else
      {
         chmod('../admin/.htaccess', 0444);
         return '<h2 class="ok">Datei .htaccess (Backend) erfolgreich erstellt</h2>';
      }
   }

   /**
    * create htpasswd-file for backend
    * @return string html-string
    */
   public static function createHtpasswd($name, $password) {

      $text = str_replace('{password}', ($name . ':' .
              self::_crypt_apr1_md5($password)), file_get_contents('config/admin.htpasswd'));

      if (file_exists('../admin/.htpasswd'))
         chmod('../admin/.htpasswd', 0644);

      if (file_put_contents('../admin/.htpasswd', $text) === FALSE)
      {
         return '<h2 class="notok">Datei .htpasswd (Backend) konnte nicht erstellt werden</h2>';
      }
      else
      {
         chmod('../admin/.htpasswd', 0444);
         return '<h2 class="ok">Datei .htpasswd (Backend) erfolgreich erstellt</h2>';
      }
   }

   /**
    * APR1-MD5 encryption method (windows compatible)
    * @param string $plainpasswd Backendpassword
    * @return string crypted pasword
    */
   static function _crypt_apr1_md5($plainpasswd) {
      $salt = substr(str_shuffle("abcdefghijklmnopqrstuvwxyz0123456789"), 0, 8);
      $len = strlen($plainpasswd);
      $text = $plainpasswd . '$apr1$' . $salt;
      $bin = pack("H32", md5($plainpasswd . $salt . $plainpasswd));
      for ($i = $len; $i > 0; $i -= 16)
      {
         $text .= substr($bin, 0, min(16, $i));
      }
      for ($i = $len; $i > 0; $i >>= 1)
      {
         $text .= ($i & 1) ? chr(0) : $plainpasswd{0};
      }
      $bin = pack("H32", md5($text));
      for ($i = 0; $i < 1000; $i++)
      {
         $new = ($i & 1) ? $plainpasswd : $bin;
         if ($i % 3)
            $new .= $salt;
         if ($i % 7)
            $new .= $plainpasswd;
         $new .= ($i & 1) ? $bin : $plainpasswd;
         $bin = pack("H32", md5($new));
      }
      for ($i = 0; $i < 5; $i++)
      {
         $k = $i + 6;
         $j = $i + 12;
         if ($j == 16)
            $j = 5;
         $tmp = $bin[$i] . $bin[$k] . $bin[$j] . $tmp;
      }
      $tmp = chr(0) . chr(0) . $bin[11] . $tmp;
      $tmp = strtr(strrev(substr(base64_encode($tmp), 2)), "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/", "./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz");

      return "$" . "apr1" . "$" . $salt . "$" . $tmp;
   }

}
